#loader crafttweaker

import loottweaker.LootTweaker;
import loottweaker.vanilla.loot.LootTable;
val BP1 = <immersiveengineering:blueprint>.withTag({blueprint: "ICBM Tier 1 Explosives"});
val BP2 = <immersiveengineering:blueprint>.withTag({blueprint: "ICBM Tier 2 Explosives"});
val BP3 = <immersiveengineering:blueprint>.withTag({blueprint: "ICBM Tier 3 Explosives"});
val efood = <enderio:item_ender_food>;
val dhead = <minecraft:skull:5>;
val dbreath = <immersiveengineering:bullet:2>.withTag({bullet: "dragonsbreath"});
val dblood = <bewitchment:dragons_blood_sapling>;
val soulstring = <tconstruct:bow_string>.withTag({Material: "soularium"});
val ecoin = <thermalfoundation:coin:103>;




// Get the dragon loot table and store it for later use
val dragon = LootTweaker.getTable("minecraft:entities/ender_dragon");
val enderman = LootTweaker.getTable("minecraft:entities/enderman");
val wither = LootTweaker.getTable("minecraft:loot_tables/entities/wither");

// Add a pool called steve to the cow loot table, then store it for later use
val steve = dragon.addPool("steve", 0, 2, 0, 0);
val ender = enderman.addPool("ender", 0, 1, 0, 0);
val with = wither.addPool("with",0,1,0,0);

// Add an apple to "steve"
#items added to dragon loot pool
steve.addItemEntry(BP1, 15);
steve.addItemEntry(BP2, 10);
steve.addItemEntry(BP3, 5);
steve.addItemEntry(<ic2:itemmisc:181>*2,10);
steve.addItemEntry(efood*16, 80);
steve.addItemEntry(dhead, 80);
steve.addItemEntry(dbreath*12,40);
steve.addItemEntry(dblood,40);
steve.addItemEntry(soulstring*2,60);
steve.addItemEntry(ecoin,20);
steve.addItemEntry(<minecraft:apple>*20,60);

#items added to enderman loot pool
ender.addItemEntry(<minecraft:ender_eye>,10);

#items added to wither loot pool
with.addItemEntry(<magicbees:resource:3>*2,15);
with.addItemEntry(<magicbees:resource:4>*3,5);
with.addItemEntry(<minecraft:nether_star>,100);

