#loader crafttweaker

import moretweaker.matteroverdrive.Inscriber;
import mods.immersiveengineering.MetalPress;
import mods.immersiveengineering.Blueprint;
import mods.orestages.OreStages;
import crafttweaker.item.IItemStack;
import mods.recipestages.Recipes;


#overdrive_
#Inscriber.addRecipe(IIngredient input1, IIngredient input2, IItemStack output, int energy, int time);

val PyroFb = <thermalexpansion:florb:1>.withTag({Fluid: "pyrotheum"});
val PetroFb = <thermalexpansion:florb>.withTag({Fluid: "petrotheum"});
val QuartIron = <refinedstorage:quartz_enriched_iron>;
val RedsGlass = <randomthings:triggerglass>;
val Restonia = <actuallyadditions:item_crystal>;
val Magnet = <ic2:itemmisc:263>;
val ShardRestonia = <actuallyadditions:item_crystal_shard>;
val Emeral = <actuallyadditions:item_crystal:4>;
val DimenPlate = <custom_additions:dimensional_plate>;
val CubeAd = <mekanism:energycube>.withTag({tier: 1});
val VibAlloy = <custom_additions:vibrance_alloy>;
val ESteelPlate = <custom_additions:electric_steel_plate>;
val AeroFb = <thermalexpansion:florb>.withTag({Fluid: "aerotheum"});
val OCCircuitB = <opencomputers:material:4>;
val weapongrip = <immersiveengineering:material:13>;
val CRenGlass = <ic2:blockutility:5>;
val ESteelBind = <tconstruct:binding>.withTag({Material: "electrical_steel"});
val Bat1 = <matteroverdrive:battery>.withTag({energy: {maxReceive: 400, maxExtract: 800, energy: 0, capacity: 524288}});
val Bat2 = <matteroverdrive:hc_battery>.withTag({energy: {maxReceive: 4096, maxExtract: 4096, energy: 0, capacity: 1048576}});
val infoTab = <matteroverdrive:data_pad>.withTag({QuestInfoScroll: 0 as short});
val coiltherm = <thermalfoundation:material:514>;
#"MO_", 


			#Isoliner Circuit
	#T1
recipes.remove(<matteroverdrive:isolinear_circuit>);
mods.recipestages.Recipes.addShaped("MO_IC1", "MatterOverdrive", <matteroverdrive:isolinear_circuit>, [[QuartIron], [Restonia], [RedsGlass]]);

			#Batteries
	#T1
recipes.remove(Bat1);
recipes.remove(Bat2);
recipes.remove(<matteroverdrive:battery>);
mods.recipestages.Recipes.addShaped("MO_Battery1", "MatterOverdrive", Bat1, [
[null, coiltherm, null], 
[<matteroverdrive:tritanium_ingot>, <actuallyadditions:item_misc:7>, <matteroverdrive:tritanium_ingot>], 
[<matteroverdrive:tritanium_ingot>, <matteroverdrive:dilithium_crystal>, <matteroverdrive:tritanium_ingot>]]);

	#T2
mods.recipestages.Recipes.addShaped("MO_Battery2", "MatterOverdrive", Bat2, [
[null, <matteroverdrive:tritanium_plate>, null], 
[<ore:gemDilithium>, Bat1, <ore:gemDilithium>], 
[<matteroverdrive:tritanium_plate>, <actuallyadditions:item_misc:8>, <matteroverdrive:tritanium_plate>]]);


				#Parts

#Super Condutive Magnet
recipes.remove(<matteroverdrive:s_magnet>);
mods.recipestages.Recipes.addShaped("MO_Magnet", "MatterOverdrive", <matteroverdrive:s_magnet> * 4, [[Magnet, ShardRestonia, Magnet], [<ore:ingotTritanium>, Emeral, <ore:ingotTritanium>], [Magnet, ShardRestonia, Magnet]]);

#Tritanium Plate
recipes.remove(<matteroverdrive:tritanium_plate>);
mods.immersiveengineering.MetalPress.addRecipe(<matteroverdrive:tritanium_plate>, <ore:ingotTritanium> * 2, <immersiveengineering:mold>, 2000);

#Space-Time Equalizer
recipes.remove(<matteroverdrive:spacetime_equalizer>);
mods.recipestages.Recipes.addShaped("MO_STequal", "MatterOverdrive", <matteroverdrive:spacetime_equalizer>, [[null, <matteroverdrive:s_magnet>, null], [DimenPlate, <matteroverdrive:h_compensator>, DimenPlate], [null, <matteroverdrive:s_magnet>, null]]);

#Heisinberg Compensator
recipes.remove(<matteroverdrive:h_compensator>);
mods.recipestages.Recipes.addShaped("MO_hcomp", "MatterOverdrive", <matteroverdrive:h_compensator>, [[null, <matteroverdrive:machine_casing>, null], [<matteroverdrive:isolinear_circuit>, <matteroverdrive:isolinear_circuit:1>, <matteroverdrive:isolinear_circuit>], [<ore:gemDilithium>, OCCircuitB, <ore:gemDilithium>]]);

#Intergrated Matrix
recipes.remove(<matteroverdrive:integration_matrix>);
mods.recipestages.Recipes.addShaped("MO_inmatrix", "MatterOverdrive", <matteroverdrive:integration_matrix>, [[null, <matteroverdrive:machine_casing>, null], [CRenGlass, <matteroverdrive:isolinear_circuit:1>, CRenGlass], [<ore:gemDilithium>, VibAlloy, <ore:gemDilithium>]]);

#Machine Casing
recipes.remove(<matteroverdrive:machine_casing>);
mods.recipestages.Recipes.addShaped("MO_mcase", "MatterOverdrive", <matteroverdrive:machine_casing>, [[null, <matteroverdrive:tritanium_plate>, null], [<ore:ingotTritanium>, null, <ore:ingotTritanium>], [<ore:plateGold>, Restonia, <ore:plateGold>]]);

#Force Field Emitter
recipes.remove(<matteroverdrive:forcefield_emitter>);
mods.recipestages.Recipes.addShaped("MO_ffe", "MatterOverdrive", <matteroverdrive:forcefield_emitter>, [[<matteroverdrive:s_magnet>, CRenGlass, <matteroverdrive:s_magnet>], [<matteroverdrive:s_magnet>, <ore:gemDilithium>, <matteroverdrive:s_magnet>], [<matteroverdrive:tritanium_plate>, <matteroverdrive:isolinear_circuit>, <matteroverdrive:tritanium_plate>]]);

#Weapon Handle
recipes.remove(<matteroverdrive:weapon_handle>);
mods.recipestages.Recipes.addShaped("MO_whandle", "MatterOverdrive", <matteroverdrive:weapon_handle>, [[<ore:ingotTritanium>, weapongrip, <ore:ingotTritanium>], [ESteelPlate, null, ESteelPlate], [ESteelPlate, null, ESteelPlate]]);

#Weapon Receiver
recipes.remove(<matteroverdrive:weapon_receiver>);
mods.recipestages.Recipes.addShaped("MO_wreciever", "MatterOverdrive", <matteroverdrive:weapon_receiver>, [[ESteelBind, <ore:circuitAdvanced>, <ore:ingotTritanium>], [null, null, null], [<immersiveengineering:material:15>, <immersiveengineering:material:16>, <ore:ingotTritanium>]]);

#Plasma Core 
recipes.remove(<matteroverdrive:plasma_core>);
mods.recipestages.Recipes.addShaped("MO_plasmac", "MatterOverdrive", <matteroverdrive:plasma_core>, [[CRenGlass, ESteelPlate, null], [<matteroverdrive:s_magnet>, <matteroverdrive:matter_container>, <matteroverdrive:s_magnet>], [null, ESteelPlate, CRenGlass]]);

#Matter Container
recipes.remove(<matteroverdrive:matter_container>);
mods.recipestages.Recipes.addShaped("MO_MatCont", "MatterOverdrive", <matteroverdrive:matter_container> * 4, [[<ore:ingotTritanium>, <matteroverdrive:s_magnet>, <ore:ingotTritanium>], [null, <projecte:item.pe_klein_star>, null]]);

#Delithium Focus Matrix
recipes.remove(<matteroverdrive:weapon_module_barrel>);
mods.recipestages.Recipes.addShaped("MO_FocMatrix", "MatterOverdrive", <matteroverdrive:weapon_module_barrel>, [[null, CRenGlass, null], [Restonia, <ore:gemDilithium>, Restonia], [null, <matteroverdrive:tritanium_plate>, null]]);

#Flashdrive Tele
#recipes.remove(<matteroverdrive:transport_flash_drive>);
#mods.recipestages.Recipes.addShaped("MO_FlashdT", "MatterOverdrive", <matteroverdrive:transport_flash_drive>, [[null, <mekanism:teleportationcore>, null], [Restonia, <matteroverdrive:isolinear_circuit>, Restonia], [null, <ic2:itemmemorystick>, null]]);

#Flashdrive Matter
recipes.remove(<matteroverdrive:network_flash_drive>);
mods.recipestages.Recipes.addShaped("MO_FlashdM", "MatterOverdrive", <matteroverdrive:network_flash_drive>, [
[null, <opencomputers:component:11>, null], 
[Restonia, <matteroverdrive:isolinear_circuit>, Restonia], 
[null, <ic2:itemmemorystick>, null]]);


#Sniper Scope 
recipes.remove(<matteroverdrive:sniper_scope>);
mods.recipestages.Recipes.addShaped("MO_scope", "MatterOverdrive", <matteroverdrive:sniper_scope>, [[ESteelPlate, ESteelPlate, <matteroverdrive:isolinear_circuit:1>], [<ore:fusedGlass>, <matteroverdrive:forcefield_emitter>, <ore:fusedGlass>], [ESteelPlate, <immersiveengineering:toolupgrade:8>, ESteelPlate]]);

#PlateUp
val hammer = <immersiveengineering:tool>;
recipes.remove(<matteroverdrive:upgrade>);

mods.recipestages.Recipes.addShapeless("MO_UpPlate", "MatterOverdrive", <matteroverdrive:upgrade>, [<matteroverdrive:tritanium_plate>, hammer.transformDamage(2)]);

								#Upgrades
#Upgrade Recipe Removals
recipes.remove(<matteroverdrive:upgrade:7>);
recipes.remove(<matteroverdrive:upgrade:6>);
recipes.remove(<matteroverdrive:upgrade:5>);
recipes.remove(<matteroverdrive:upgrade:4>);
recipes.remove(<matteroverdrive:upgrade:3>);
recipes.remove(<matteroverdrive:upgrade:2>);
recipes.remove(<matteroverdrive:upgrade:1>);

			##Blueprints
#Speed
mods.immersiveengineering.Blueprint.addRecipe("Matter Overdrive Upgrades", <matteroverdrive:upgrade:1>, [<matteroverdrive:upgrade>, <rftools:generic_module>, <extrautils2:ingredients:15>]);

#Power
mods.immersiveengineering.Blueprint.addRecipe("Matter Overdrive Upgrades", <matteroverdrive:upgrade:2>, [<matteroverdrive:upgrade>, <rftools:generic_module>, Bat2]);

#Fail-Safe
mods.immersiveengineering.Blueprint.addRecipe("Matter Overdrive Upgrades", <matteroverdrive:upgrade:3>, [<matteroverdrive:upgrade>, <rftools:generic_module>, <opencomputers:component:17>]);

#Range
mods.immersiveengineering.Blueprint.addRecipe("Matter Overdrive Upgrades", <matteroverdrive:upgrade:4>, [<matteroverdrive:upgrade>, <rftools:generic_module>, <openmodularturrets:upgrade_meta:3>]);

#Power Storage
mods.immersiveengineering.Blueprint.addRecipe("Matter Overdrive Upgrades", <matteroverdrive:upgrade:5>, [<matteroverdrive:upgrade>, <rftools:generic_module>, CubeAd]);

#Speed
mods.immersiveengineering.Blueprint.addRecipe("Matter Overdrive Upgrades", <matteroverdrive:upgrade:6>, [<matteroverdrive:upgrade>, <rftools:generic_module>, <extrautils2:ingredients:16>]);

#Matter Storage
mods.immersiveengineering.Blueprint.addRecipe("Matter Overdrive Upgrades", <matteroverdrive:upgrade:7>, [<matteroverdrive:upgrade>, <rftools:generic_module>, <matteroverdrive:matter_container> * 2]);

	#Weapon Upgrades
#Pyro 
recipes.remove(<matteroverdrive:weapon_module_barrel:1>);
mods.recipestages.Recipes.addShaped("MO_pyromod", "MatterOverdrive", <matteroverdrive:weapon_module_barrel:1>, [[null, <ore:fusedGlass>, null], [<ore:dustPyrotheum>, PyroFb, <ore:dustPyrotheum>], [null, <matteroverdrive:tritanium_plate>, null]]);

#Explosive
recipes.remove(<matteroverdrive:weapon_module_barrel:2>);
mods.recipestages.Recipes.addShaped("MO_explomod1", "MatterOverdrive", <matteroverdrive:weapon_module_barrel:2>, [[null, <minecraft:tnt>, null], [<minecraft:tnt>, PetroFb, <minecraft:tnt>], [<ore:dustPetrotheum>, <matteroverdrive:tritanium_plate>, <ore:dustPetrotheum>]]);

#Healing
recipes.remove(<matteroverdrive:weapon_module_barrel:3>);
mods.recipestages.Recipes.addShaped("MO_healmod", "Dragon", <matteroverdrive:weapon_module_barrel:3>, [[null, <astralsorcery:itemcoloredlens:4>, null], [<astralsorcery:itemcoloredlens:4>, <rftools:regeneration_module>, <astralsorcery:itemcoloredlens:4>], [<custom_additions:vibrant_alloy_plate>, <matteroverdrive:tritanium_plate>, <custom_additions:vibrant_alloy_plate>]]);

#Explosive2
recipes.remove(<matteroverdrive:weapon_module_barrel:5>);
mods.recipestages.Recipes.addShaped("MO_explomod2", "MatterOverdrive", <matteroverdrive:weapon_module_barrel:5>, [[null, AeroFb, null], [<minecraft:tnt>, <ore:gemDilithium>, <minecraft:tnt>], [<ore:dustAerotheum>, <matteroverdrive:tritanium_plate>, <ore:dustAerotheum>]]);

															#GameStaged Content
	#ore and Blackholes
val overdriveOre1 = <matteroverdrive:dilithium_ore>;
val overdriveOre2 = <matteroverdrive:tritanium_ore>;
val blackhole = <matteroverdrive:gravitational_anomaly>;

mods.orestages.OreStages.addReplacement("MatterOverdrive", overdriveOre1, <minecraft:stone>);
mods.orestages.OreStages.addReplacement("MatterOverdrive", overdriveOre2, <minecraft:stone>);


mods.recipestages.Recipes.setRecipeStage("MatterOverdrive", <matteroverdrive:inscriber>);
mods.recipestages.Recipes.setRecipeStage("MatterOverdrive", <matteroverdrive:android_station>);
mods.recipestages.Recipes.setRecipeStage("MatterOverdrive", infoTab);
mods.recipestages.Recipes.setRecipeStage("MatterOverdrive", <matteroverdrive:tritanium_axe>);
mods.recipestages.Recipes.setRecipeStage("MatterOverdrive", <matteroverdrive:matter_scanner>);
mods.recipestages.Recipes.setRecipeStage("MatterOverdrive", <matteroverdrive:microwave>);
mods.recipestages.Recipes.setRecipeStage("MatterOverdrive", <matteroverdrive:android_station>);
mods.recipestages.Recipes.setRecipeStage("MatterOverdrive", <matteroverdrive:charging_station>);
mods.recipestages.Recipes.setRecipeStage("MatterOverdrive", <matteroverdrive:portable_decomposer>);

															#Removed Items Untill Round 3

mods.jei.JEI.removeAndHide(<matteroverdrive:pattern_drive>);
mods.jei.JEI.removeAndHide(<matteroverdrive:security_protocol>);
mods.jei.JEI.removeAndHide(<matteroverdrive:decomposer>);
mods.jei.JEI.removeAndHide(<matteroverdrive:matter_recycler>);
mods.jei.JEI.removeAndHide(<matteroverdrive:replicator>);
mods.jei.JEI.removeAndHide(<matteroverdrive:matter_pipe>);
mods.jei.JEI.removeAndHide(<matteroverdrive:network_pipe>);
mods.jei.JEI.removeAndHide(<matteroverdrive:heavy_matter_pipe>);
mods.jei.JEI.removeAndHide(<matteroverdrive:network_router>);
mods.jei.JEI.removeAndHide(<matteroverdrive:matter_analyzer>);
mods.jei.JEI.removeAndHide(<matteroverdrive:pattern_monitor>);
mods.jei.JEI.removeAndHide(<matteroverdrive:pattern_storage>);
mods.jei.JEI.removeAndHide(<matteroverdrive:network_switch>);
mods.jei.JEI.removeAndHide(<matteroverdrive:solar_panel>);
mods.jei.JEI.removeAndHide(<matteroverdrive:gravitational_stabilizer>);
mods.jei.JEI.removeAndHide(<matteroverdrive:fusion_reactor_controller>);
mods.jei.JEI.removeAndHide(<matteroverdrive:fusion_reactor_coil>);
mods.jei.JEI.removeAndHide(<matteroverdrive:fusion_reactor_io>);
mods.jei.JEI.removeAndHide(<matteroverdrive:pylon>);
mods.jei.JEI.removeAndHide(<matteroverdrive:contract_market>);
mods.jei.JEI.removeAndHide(<matteroverdrive:spacetime_accelerator>);
mods.jei.JEI.removeAndHide(<matteroverdrive:transporter>);
mods.jei.JEI.removeAndHide(<matteroverdrive:star_map>);
mods.jei.JEI.removeAndHide(<matteroverdrive:holo_sign>);
mods.jei.JEI.removeAndHide(<matteroverdrive:weapon_station>);
mods.jei.JEI.removeAndHide(<matteroverdrive:transport_flash_drive>);
mods.jei.JEI.removeAndHide(<matteroverdrive:phaser>);
mods.jei.JEI.removeAndHide(<matteroverdrive:phaser_rifle>);
mods.jei.JEI.removeAndHide(<matteroverdrive:plasma_shotgun>);
mods.jei.JEI.removeAndHide(<matteroverdrive:ion_sniper>);
mods.jei.JEI.removeAndHide(<matteroverdrive:omni_tool>);
#mods.jei.JEI.removeAndHide(<matteroverdrive:tritanium_wrench>);



