#loader crafttweaker
import mods.immersiveengineering.MetalPress;
import crafttweaker.item.IItemStack;
import mods.recipestages.Recipes;

val coolcan = <ic2:itemheatstorage>;
val fluxsword = <redstonearsenal:tool.sword_flux>;
val RefinedCircuit = <forestry:chipsets:2>.withTag({T: 2 as short});
val BRockwool = <thermalfoundation:rockwool>;

#Security Staged items
mods.recipestages.Recipes.setRecipeStage("MatterOverdrive", <matteroverdrive:security_protocol>);
mods.recipestages.Recipes.setRecipeStage("MatterOverdrive", <thermalfoundation:security>);
mods.recipestages.Recipes.setRecipeStage("MatterOverdrive", <refinedstorage:security_card>);
mods.recipestages.Recipes.setRecipeStage("MatterOverdrive", <rftools:security_manager>);
mods.recipestages.Recipes.setRecipeStage("MatterOverdrive", <rftools:security_card>);
mods.recipestages.Recipes.setRecipeStage("MatterOverdrive", <mekanism:basicblock2:9>);


#Cooldown Upgrade
recipes.remove(<opensecurity:cooldown_upgrade>);
mods.recipestages.Recipes.addShaped("OS_CooldownUP", "Security", <opensecurity:cooldown_upgrade>, [[coolcan, null, coolcan], [null, <minecraft:water_bucket>, null], [coolcan, null, coolcan]]);

#Damage Upgrade
recipes.remove(<opensecurity:damage_upgrade>);
mods.recipestages.Recipes.addShaped("OS_DamageUp", "Security", <opensecurity:damage_upgrade>, [[fluxsword, null, fluxsword], [null, <minecraft:gunpowder>, null], [fluxsword, null, fluxsword]]);

#Energy Upgrade
recipes.remove(<opensecurity:energy_upgrade>);
mods.recipestages.Recipes.addShaped("OS_EnergyUP", "Security", <opensecurity:energy_upgrade>, [[<ore:ingotEnergeticAlloy>, null, <ore:ingotEnergeticAlloy>], [null, <opencomputers:upgrade:1>, null], [<ore:ingotEnergeticAlloy>, null, <ore:ingotEnergeticAlloy>]]);

#BioReader
recipes.remove(<opensecurity:biometric_reader>);
mods.recipestages.Recipes.addShaped("OS_biometricreader", "Security",  <opensecurity:biometric_reader>, [[<minecraft:stone>, <minecraft:iron_ingot>, <minecraft:stone>], [<minecraft:stone>, <opencomputers:material:6>, <minecraft:stone>], [<minecraft:stone>, <opencomputers:material:7>, <minecraft:stone>]]);

#SecurityTerminal
recipes.remove(<opensecurity:security_terminal>);
mods.recipestages.Recipes.addShaped("OS_securityterminal",  "Security", <opensecurity:security_terminal>, [[<opencomputers:capacitor>, <thermalfoundation:security>, <opencomputers:capacitor>], [<opencomputers:capacitor>, <opencomputers:material:6>, <opencomputers:capacitor>], [<opencomputers:capacitor>, <opencomputers:material:8>, <opencomputers:capacitor>]]);

#RFIDCard
recipes.remove(<opensecurity:rfid_card>);
mods.recipestages.Recipes.addShaped("OS_rfidCard",  "Security", <opensecurity:rfid_card>, [[<ore:itemSilicon>, null, <ore:itemSilicon>], [null, <opencomputers:material:6>, null], [<ore:itemSilicon>, <opencomputers:material:7>, <ore:itemSilicon>]]);

#Door Controller
recipes.remove(<opensecurity:door_controller>);
mods.recipestages.Recipes.addShaped("OS_doorcontroller",  "Security", <opensecurity:door_controller>, [[<opencomputers:material:8>, <mekanism:basicblock:2>, <refinedstorage:cable>, <opencomputers:material:6>]]);

#RollDoor Controller
recipes.remove(<opensecurity:rolldoor_controller>);
mods.recipestages.Recipes.addShaped("OS_RollDoorController", "Security",  <opensecurity:rolldoor_controller>, [[<opencomputers:material:8>, RefinedCircuit, <opencomputers:material:8>], [RefinedCircuit, <opencomputers:material:11>, RefinedCircuit], [<opencomputers:material:6>, <refinedstorage:cable>, <opencomputers:material:6>]]);

#RollDoor
recipes.remove(<opensecurity:rolldoor>);
mods.recipestages.Recipes.addShaped("OS_rolldoor", "Security", <opensecurity:rolldoor>, [[<immersiveengineering:sheetmetal:8>, <immersiveengineering:sheetmetal:8>, <immersiveengineering:sheetmetal:8>], [<ore:gearElectrum>, <opencomputers:material:7>, <ore:gearElectrum>], [<opencomputers:material:6>, <refinedstorage:cable>, <opencomputers:material:6>]]);

#Movment Upgrade
recipes.remove(<opensecurity:movement_upgrade>);
mods.recipestages.Recipes.addShaped("OS_movementupgrade",  "Security", <opensecurity:movement_upgrade>, [[<actuallyadditions:item_crystal_empowered>, null, <actuallyadditions:item_crystal_empowered>], [null, <ic2:itemmisc:257>, null], [<actuallyadditions:item_crystal_empowered>, null, <actuallyadditions:item_crystal_empowered>]]);


#Mag Card
recipes.remove(<opensecurity:mag_card>);
mods.recipestages.Recipes.addShaped("OS_magcard", "Security", <opensecurity:mag_card>, [[<ore:itemSilicon>, null, <ore:itemSilicon>], [null, <opencomputers:material:6>, null], [<ore:itemSilicon>, null, <ore:itemSilicon>]]);

#Energy Turret
recipes.remove(<opensecurity:energy_turret>);
mods.recipestages.Recipes.addShaped("OS_energyturret",  "Security", <opensecurity:energy_turret>, [[<openmodularturrets:expander:5>, <opencomputers:material:8>, <openmodularturrets:expander:5>], [<opencomputers:material:8>, <openmodularturrets:laser_turret>, <opencomputers:material:8>], [<openmodularturrets:turret_base:3>, <opencomputers:material:8>, <openmodularturrets:turret_base:3>]]);

#Private Secure Door
recipes.remove(<opensecurity:private_secure_door>);
mods.recipestages.Recipes.addShaped("OS_securedoor",  "Security", <opensecurity:private_secure_door>, [[<opencomputers:material:8>, <immersiveengineering:sheetmetal:8>, <opencomputers:material:8>], [<immersiveengineering:sheetmetal:8>, <ic2:itemdooralloy>, <immersiveengineering:sheetmetal:8>], [<opencomputers:material:6>, <immersiveengineering:sheetmetal:8>, <opencomputers:material:6>]]);

#Secure Door
recipes.remove(<opensecurity:secure_door>);
mods.recipestages.Recipes.addShaped("OS_securedoor_Alt",  "Security", <opensecurity:secure_door>, [[<opencomputers:material:8>, <ic2:blockutility:5>, <opencomputers:material:8>], [<immersiveengineering:sheetmetal:8>, <ic2:itemdooralloy>, <immersiveengineering:sheetmetal:8>], [<opencomputers:material:6>, <immersiveengineering:sheetmetal:8>, <opencomputers:material:6>]]);

#Keypad
recipes.remove(<opensecurity:keypad>);
mods.recipestages.Recipes.addShaped("OS_Keypad",  "Security", <opensecurity:keypad>, [[<opencomputers:material:6>, BRockwool, <opencomputers:material:6>], [BRockwool, <opencomputers:material:16>, BRockwool], [BRockwool, <opencomputers:material:7>, BRockwool]]);

#Alarm
recipes.remove(<opensecurity:alarm>);
mods.recipestages.Recipes.addShaped("OS_alarm",  "Security", <opensecurity:alarm>, [[null, <ic2:itemtoolbox:2>, null], [<opencomputers:material:4>, <minecraft:noteblock>,<refinedstorage:cable>], [null, <opencomputers:material:8>, null]]);


#Data Block
recipes.remove(<opensecurity:data_block>);
mods.recipestages.Recipes.addShaped("OS_datablock",  "Security", <opensecurity:data_block>, [[null, <opencomputers:card:10>, null], [<opencomputers:material:4>, <mekanism:controlcircuit:1>, <opencomputers:material:8>], [null, <refinedstorage:cable>, null]]);
