import mods.immersiveengineering.MetalPress;
import crafttweaker.item.IItemStack;
import mods.recipestages.Recipes;


			#Values
val Cube2 = <mekanism:energycube>.withTag({tier: 1});
val Tank1 = <mekanism:machineblock2:11>.withTag({tier: 0});
val Tank2 = <mekanism:machineblock2:11>.withTag({tier: 1});
val Tank3 = <mekanism:machineblock2:11>.withTag({tier: 2});
val Tank4 = <mekanism:machineblock2:11>.withTag({tier: 3});
val ControlCircuit = <powersuits:powerarmorcomponent:15>;
val ComputerChip = <powersuits:powerarmorcomponent:20>;
val ConIron = <enderio:item_alloy_ingot:9>;
val ConIronPlate = <custom_additions:iron_alloy_plate>;
val Screen = <rftools:screen>;
val IntricateCircuit = <forestry:chipsets:3>.withTag({T: 3 as short});
val UltimateCircuit = <ore:alloyUltimate>;
val RsNug = <enderio:item_alloy_nugget:3>;
val EliteProc = <custom_additions:elite_processor>;
val UltProc = <custom_additions:ultimate_processor>;
val OmegProc = <custom_additions:omega_processor>;

		#Gamestaged recipes
#mods.recipestages.Recipes.addShaped("Nether", 
mods.recipestages.Recipes.setRecipeStage("Nether", <thermalexpansion:frame>);
#"RS_
		
		#Removed Recipes
recipes.removeByRecipeName("rebornstorage:storagecellfluid");
recipes.removeByRecipeName("rebornstorage:storagecellfluid_2");
recipes.removeByRecipeName("rebornstorage:storagecellfluid_6");
recipes.removeByRecipeName("rebornstorage:storagecellfluid_4");
recipes.removeByRecipeName("refinedstorage:4096k_fluid_storage_disk");
recipes.removeByRecipeName("refinedstorage:1024k_fluid_storage_disk");



	#Reader
recipes.remove(<refinedstorage:reader>);
mods.recipestages.Recipes.addShaped("RS_Reader", "Nether", <refinedstorage:reader>, [[ConIron, <refinedstorage:core:1>, ConIron], [<minecraft:redstone>, <refinedstorage:cable>, <minecraft:redstone>], [ConIron, <refinedstorage:processor:5>, ConIron]]);

	#Writer
recipes.remove(<refinedstorage:writer>);
mods.recipestages.Recipes.addShaped("RS_Writer", "Nether", <refinedstorage:writer>, [[ConIron, <refinedstorage:core>, ConIron], [<minecraft:redstone>, <refinedstorage:cable>, <minecraft:redstone>], [ConIron, <refinedstorage:processor:5>, ConIron]]);

	#Detector
recipes.remove(<refinedstorage:detector>);
mods.recipestages.Recipes.addShaped("RS_Detector", "Nether", <refinedstorage:detector>, [[ConIronPlate, <thermalfoundation:material:515>, ConIronPlate], [<minecraft:comparator>, <refinedstorage:machine_casing>, <minecraft:comparator>], [ConIronPlate, <refinedstorage:processor:4>, ConIronPlate]]);

	#Wireless Transmitter
recipes.remove(<refinedstorage:wireless_transmitter>);
mods.recipestages.Recipes.addShaped("RS_WTran", "Nether", <refinedstorage:wireless_transmitter>, [[ConIron, <enderio:item_material:65>, ConIron], [ConIron, <refinedstorage:machine_casing>, ConIron], [ConIron, <refinedstorage:processor:5>, ConIron]]);

	#Network Transmitter
recipes.remove(<refinedstorage:network_transmitter>);
mods.recipestages.Recipes.addShaped("RS_NTran", "Nether", <refinedstorage:network_transmitter>, [[<immersiveengineering:wirecoil:1>, <thermalfoundation:material:514>, <immersiveengineering:wirecoil:1>], [<refinedstorage:core>, <refinedstorage:machine_casing>, <refinedstorage:core:1>], [<refinedstorage:processor:5>, <refinedstorage:processor:5>, <refinedstorage:processor:5>]]);

	#Grid
recipes.remove(<refinedstorage:grid>);
mods.recipestages.Recipes.addShaped("RS_Grid", "Nether", <refinedstorage:grid>, [[<refinedstorage:processor:4>, <refinedstorage:core>, Screen], [ConIronPlate, <refinedstorage:machine_casing>, Screen], [<refinedstorage:processor:4>, <refinedstorage:core:1>, Screen]]);

	#Crafting Grid
recipes.remove(<refinedstorage:grid:1>);
mods.recipestages.Recipes.addShapeless("RS_CGrid", "Nether", <refinedstorage:grid:1>, [<refinedstorage:grid>, <refinedstorage:processor:5>, <powersuits:powerarmorcomponent:20>, <ore:workbench>]);

	#Pattern Grid
recipes.remove(<refinedstorage:grid:2>);
mods.recipestages.Recipes.addShapeless("RS_PGrid", "Nether", <refinedstorage:grid:2>, [<refinedstorage:grid>, <refinedstorage:processor:5>, <immersiveengineering:material:27>, <refinedstorage:pattern>]);


	#Portable Grid
recipes.remove(<refinedstorage:portable_grid>);
mods.recipestages.Recipes.addShaped("RS_PorGrid", "Nether", <refinedstorage:portable_grid>, [[ConIronPlate, <refinedstorage:grid>, ConIronPlate], [UltimateCircuit, <refinedstorage:controller>, IntricateCircuit], [ConIronPlate, <refinedstorage:grid:3>, ConIronPlate]]);

	#Crafting Monitor
recipes.remove(<refinedstorage:crafting_monitor>);
mods.recipestages.Recipes.addShaped("RS_CraMon", "Nether", <refinedstorage:crafting_monitor>, [[<refinedstorage:processor:4>, <refinedstorage:pattern>, Screen], [ConIron, <refinedstorage:machine_casing>, Screen], [<refinedstorage:processor:4>, ControlCircuit, Screen]]);

	#Storage Monitor
recipes.remove(<refinedstorage:storage_monitor>);
mods.recipestages.Recipes.addShaped("RS_StorMo", "Nether",<refinedstorage:storage_monitor>, [[<refinedstorage:processor:3>, <refinedstorage:core>, Screen], [ConIronPlate, <refinedstorage:machine_casing>, Screen], [<refinedstorage:processor:3>, <refinedstorage:core:1>, Screen]]);

	#Security Manager
recipes.remove(<refinedstorage:security_manager>);
mods.recipestages.Recipes.addShaped("RS_Secu", "Security", <refinedstorage:security_manager>, [[ConIronPlate, <thermalfoundation:security>, ConIronPlate], [<refinedstorage:security_card>, <refinedstorage:machine_casing>, <refinedstorage:security_card>], [ConIronPlate, <refinedstorage:security_card>, ConIronPlate]]);

	#Crafter
recipes.remove(<refinedstorage:crafter>);
mods.recipestages.Recipes.addShaped("RS_Craft", "Nether", <refinedstorage:crafter>, [[ConIron, <refinedstorage:core>, ConIron], [<refinedstorage:processor:5>, <refinedstorage:machine_casing>, <refinedstorage:processor:5>], [ConIron, <refinedstorage:core:1>, ConIron]]);

	#Disk Drive
recipes.remove(<refinedstorage:disk_drive>);
mods.recipestages.Recipes.addShaped("RS_DiskD", "Nether", <refinedstorage:disk_drive>, [[ConIron, <ore:chest>, ConIron], [ConIron, <refinedstorage:machine_casing>, ConIron], [ConIron, <refinedstorage:processor:5>, ConIron]]);

	#Cable
recipes.remove(<refinedstorage:cable>);
mods.recipestages.Recipes.addShaped("RS_Wire","Nether", <refinedstorage:cable> * 24, [[ConIron, ConIron, ConIron], [<tconstruct:clear_glass>, <enderio:item_alloy_nugget:3>, <tconstruct:clear_glass>], [ConIron, ConIron, ConIron]]);

		#Storage Blocks
recipes.remove(<refinedstorage:storage>);
mods.recipestages.Recipes.addShapeless("RS_1b","Nether", <refinedstorage:storage>, [<refinedstorage:machine_casing>, <refinedstorage:storage_part>]);

recipes.remove(<refinedstorage:storage:1>);
mods.recipestages.Recipes.addShapeless("RS_8b","Nether", <refinedstorage:storage:1>, [<refinedstorage:machine_casing>, <refinedstorage:storage_part:1>]);

recipes.remove(<refinedstorage:storage:2>);
mods.recipestages.Recipes.addShapeless("RS_16b","Nether", <refinedstorage:storage:2>, [<refinedstorage:machine_casing>, <refinedstorage:storage_part:2>]);

recipes.remove(<refinedstorage:storage:3>);
mods.recipestages.Recipes.addShapeless("RS_64b","Nether", <refinedstorage:storage:3>, [<refinedstorage:machine_casing>, <refinedstorage:storage_part:3>]);

		#Fluid Storage Blocks
recipes.remove(<refinedstorage:fluid_storage>);
mods.recipestages.Recipes.addShapeless("RS_1fb","Nether", <refinedstorage:fluid_storage>, [<refinedstorage:machine_casing>, <refinedstorage:fluid_storage_part>]);

recipes.remove(<refinedstorage:fluid_storage:1>);
mods.recipestages.Recipes.addShapeless("RS_8fb","Nether", <refinedstorage:fluid_storage:1>, [<refinedstorage:machine_casing>, <refinedstorage:fluid_storage_part:1>]);

recipes.remove(<refinedstorage:fluid_storage:2>);
mods.recipestages.Recipes.addShapeless("RS_16fb","Nether", <refinedstorage:fluid_storage:2>, [<refinedstorage:machine_casing>, <refinedstorage:fluid_storage_part:2>]);

recipes.remove(<refinedstorage:fluid_storage:3>);
mods.recipestages.Recipes.addShapeless("RS_64fb","Nether", <refinedstorage:fluid_storage:3>, [<refinedstorage:machine_casing>, <refinedstorage:fluid_storage_part:3>]);

	#Constructor
recipes.remove(<refinedstorage:constructor>);
mods.recipestages.Recipes.addShaped("RS_Const","Nether", <refinedstorage:constructor>, [[ConIronPlate, <refinedstorage:core>, ConIronPlate], [<actuallyadditions:block_fluid_placer>, <refinedstorage:cable>, <actuallyadditions:block_placer>], [ConIronPlate, <refinedstorage:processor:4>, ConIronPlate]]);

	#Deconstructor
recipes.remove(<refinedstorage:destructor>);
mods.recipestages.Recipes.addShaped("RS_Destr","Nether", <refinedstorage:destructor>, [[ConIronPlate, <refinedstorage:core:1>, ConIronPlate], [<actuallyadditions:block_fluid_collector>, <refinedstorage:cable>, <actuallyadditions:block_breaker>], [ConIronPlate, <refinedstorage:processor:4>, ConIronPlate]]);


	#Machine Casing
recipes.remove(<refinedstorage:machine_casing>);
mods.recipestages.Recipes.addShapeless("RS_Case","Nether", <refinedstorage:machine_casing>, [<thermalexpansion:frame>, <refinedstorage:quartz_enriched_iron_block>]);

	#Controller
recipes.remove(<refinedstorage:controller>);
mods.recipestages.Recipes.addShaped("RS_Controller","Nether", <refinedstorage:controller>, [[ConIronPlate, <refinedstorage:processor:5>, ConIronPlate], [ComputerChip, <refinedstorage:machine_casing>, ControlCircuit], [ConIronPlate, Cube2, ConIronPlate]]);

		#Cores
	#Construction
recipes.remove(<refinedstorage:core>);
mods.recipestages.Recipes.addShapeless("RS_ConCore","Nether",<refinedstorage:core>, [<refinedstorage:processor:3>, <ore:alloyElite>, <mekanism:nugget:3>]);

	#Deconstruction
recipes.remove(<refinedstorage:core:1>);
mods.recipestages.Recipes.addShapeless("RS_DecCore","Nether",<refinedstorage:core:1>, [<refinedstorage:processor:3>, <ore:alloyElite>, <minecraft:quartz>]);

		#Storage
	#Storage Housing
recipes.remove(<refinedstorage:storage_housing>);
mods.recipestages.Recipes.addShaped("RS_shousing","Nether", <refinedstorage:storage_housing>, [[<ore:darkFusedGlass>, RsNug, <ore:darkFusedGlass>], [RsNug, null, RsNug], [ConIron, ConIron, ConIron]]);

	#Patterns
recipes.remove(<refinedstorage:pattern>);
mods.recipestages.Recipes.addShaped("RS_Pattern","Nether", <refinedstorage:pattern>, [[<ore:darkFusedGlass>, RsNug, <ore:darkFusedGlass>], [RsNug, <ore:darkFusedGlass>, RsNug], [ConIron, ConIron, ConIron]]);
		
	#1k
recipes.remove(<refinedstorage:storage_part>);
mods.recipestages.Recipes.addShaped("RS_1ik","Nether", <refinedstorage:storage_part>, [
[RsNug, <ore:circuitBasic>, RsNug], 
[<ore:blockGlass>, <refinedstorage:processor:3>, <ore:blockGlass>], 
[RsNug, <ore:blockGlass>, RsNug]]);

recipes.remove(<refinedstorage:storage_disk>);
mods.recipestages.Recipes.addShapeless("RS_1ikh","Nether", <refinedstorage:storage_disk>, [<refinedstorage:storage_housing>, <refinedstorage:storage_part>]);

	#4k
recipes.remove(<refinedstorage:storage_part:1>);
mods.recipestages.Recipes.addShaped("RS_8ik","Nether", <refinedstorage:storage_part:1>, [
[<refinedstorage:processor:3>, RsNug, <refinedstorage:processor:3>], 
[<refinedstorage:storage_part>, <ore:circuitBasic>, <refinedstorage:storage_part>], 
[<refinedstorage:processor:3>, <refinedstorage:storage_part>, <refinedstorage:processor:3>]]);

recipes.remove(<refinedstorage:storage_disk:1>);
mods.recipestages.Recipes.addShapeless("RS_8ikh","Nether", <refinedstorage:storage_disk:1>, [<refinedstorage:storage_housing>, <refinedstorage:storage_part:1>]);

	#16k
recipes.remove(<refinedstorage:storage_part:2>);
mods.recipestages.Recipes.addShaped("RS_16ik","Nether", <refinedstorage:storage_part:2>, [
[<refinedstorage:processor:4>, RsNug, <refinedstorage:processor:4>], 
[<refinedstorage:storage_part:1>, <ore:circuitAdvanced>, <refinedstorage:storage_part:1>], 
[<refinedstorage:processor:4>, <refinedstorage:storage_part:1>, <refinedstorage:processor:4>]]);

mods.recipestages.Recipes.addShapeless("RS_16ikh","Nether", <refinedstorage:storage_disk:2>, [<refinedstorage:storage_housing>, <refinedstorage:storage_part:2>]);

	#64k
mods.recipestages.Recipes.addShapeless("RS_64ikh","Nether", <refinedstorage:storage_disk:3>, [<refinedstorage:storage_housing>, <refinedstorage:storage_part:3>]);

recipes.remove(<refinedstorage:storage_part:3>);	
mods.recipestages.Recipes.addShaped("RS_64ik","Nether", <refinedstorage:storage_part:3>, [
[<refinedstorage:processor:5>, RsNug, <refinedstorage:processor:5>], 
[<refinedstorage:storage_part:2>, <ore:circuitAdvanced>, <refinedstorage:storage_part:2>], 
[<refinedstorage:processor:5>, <refinedstorage:storage_part:2>, <refinedstorage:processor:5>]]);

	#256k
recipes.remove(<rebornstorage:storagepart>);
mods.recipestages.Recipes.addShaped("RS_256ik","Dragon", <rebornstorage:storagepart>, [[EliteProc, RsNug, EliteProc], 
[<refinedstorage:storage_part:3>, <ore:circuitElite>, <refinedstorage:storage_part:3>], 
[EliteProc, <refinedstorage:storage_part:3>, EliteProc]]);

recipes.remove(<rebornstorage:storagecell>);
mods.recipestages.Recipes.addShapeless("RS_256ikh","Dragon", <rebornstorage:storagecell>, [<refinedstorage:storage_housing>, <rebornstorage:storagepart>]);

	#1024k
recipes.remove(<rebornstorage:storagepart:1>);
mods.recipestages.Recipes.addShaped("RS_1024ik","Dragon", <rebornstorage:storagepart:1>, [[UltProc, RsNug, UltProc], 
[(<rebornstorage:storagepart>), <ore:circuitElite>, (<rebornstorage:storagepart>)], 
[UltProc, <rebornstorage:storagepart>, UltProc]]);

recipes.remove(<rebornstorage:storagecell:1>);
mods.recipestages.Recipes.addShapeless("RS_1024ikh","Dragon", <rebornstorage:storagecell:1>, [<refinedstorage:storage_housing>, <rebornstorage:storagepart:1>]);

	#4096k
recipes.remove(<rebornstorage:storagepart:2>);
mods.recipestages.Recipes.addShaped("RS_4096ik","Dragon", <rebornstorage:storagepart:2>, [[OmegProc, RsNug, <custom_additions:omega_processor>], 
[<rebornstorage:storagepart:1>, <ore:circuitUltimate>, <rebornstorage:storagepart:1>], 
[OmegProc, <rebornstorage:storagepart:1>, OmegProc]]);

recipes.remove(<rebornstorage:storagecell:2>);
mods.recipestages.Recipes.addShapeless("RS_4096ikh","Dragon", <rebornstorage:storagecell:2>, [<refinedstorage:storage_housing>, <rebornstorage:storagepart:2>]);

	#16384k
recipes.remove(<rebornstorage:storagepart:3>);
mods.recipestages.Recipes.addShaped("RS_16384ik","Dragon", <rebornstorage:storagepart:3>, [[OmegProc, RsNug, OmegProc], 
[<rebornstorage:storagepart:2>, <ore:circuitUltimate>, <rebornstorage:storagepart:2>], 
[OmegProc, <rebornstorage:storagepart:2>, OmegProc]]);

recipes.remove(<rebornstorage:storagecell:3>);
mods.recipestages.Recipes.addShapeless("RS_16384ikh","Dragon", <rebornstorage:storagecell:3>, [<refinedstorage:storage_housing>, <rebornstorage:storagepart:3>]);



		#Fluid Storage
	#64k 
recipes.remove(<refinedstorage:fluid_storage_part>);
mods.recipestages.Recipes.addShaped("RS_64fk","Nether", <refinedstorage:fluid_storage_part>, [
[RsNug, Tank1, RsNug], 
[<ore:blockGlass>, <ore:circuitBasic>, <ore:blockGlass>], 
[RsNug, <ore:blockGlass>, RsNug]]);
	
recipes.remove(<refinedstorage:fluid_storage_disk>);
mods.recipestages.Recipes.addShapeless("RS_64fkh","Nether", <refinedstorage:fluid_storage_disk>, [<refinedstorage:storage_housing>, <refinedstorage:fluid_storage_part>]);

	#256k 
recipes.remove(<refinedstorage:fluid_storage_part:1>);
mods.recipestages.Recipes.addShaped("RS_256fk","Nether", <refinedstorage:fluid_storage_part:1>, [
[<refinedstorage:processor:3>, Tank1, <refinedstorage:processor:3>], 
[<refinedstorage:fluid_storage_part>, <ore:circuitBasic>, <refinedstorage:fluid_storage_part>], 
[<refinedstorage:processor:3>, <refinedstorage:fluid_storage_part>, <refinedstorage:processor:3>]]);

recipes.remove(<refinedstorage:fluid_storage_disk:1>);
mods.recipestages.Recipes.addShapeless("RS_256fkh","Nether", <refinedstorage:fluid_storage_disk:1>, [<refinedstorage:storage_housing>, <refinedstorage:fluid_storage_part:1>]);
	
	#1024k
recipes.remove(<refinedstorage:fluid_storage_part:2>);
mods.recipestages.Recipes.addShaped("RS_1024fk","Nether", <refinedstorage:fluid_storage_part:2>, [
[<refinedstorage:processor:4>, Tank2, <refinedstorage:processor:4>], 
[<refinedstorage:storage_part:1>, <ore:circuitAdvanced>, <refinedstorage:storage_part:1>], 
[<refinedstorage:processor:4>, <refinedstorage:storage_part:1>, <refinedstorage:processor:4>]]);

recipes.remove(<refinedstorage:storage_disk:2>);
mods.recipestages.Recipes.addShapeless("RS_1024fkh","Nether", <refinedstorage:storage_disk:2>, [<refinedstorage:storage_housing>, <refinedstorage:storage_part:2>]);

	#4096k
recipes.remove(<refinedstorage:fluid_storage_part:3>);
mods.recipestages.Recipes.addShaped("RS_4096fk","Nether", <refinedstorage:fluid_storage_part:3>, [
[<refinedstorage:processor:5>, Tank2, <refinedstorage:processor:5>], 
[<refinedstorage:storage_part:2>, <ore:circuitAdvanced>, <refinedstorage:storage_part:2>], 
[<refinedstorage:processor:5>, <refinedstorage:storage_part:2>, <refinedstorage:processor:5>]]);

#<refinedstorage:storage_disk:3>
#recipes.remove(<refinedstorage:storage_disk:3>);
#mods.recipestages.Recipes.addShapeless("RS_4096fkh","Nether", <refinedstorage:storage_disk:3>, [<refinedstorage:storage_housing>, <refinedstorage:storage_part:3>]);


	#16384k
recipes.remove(<rebornstorage:storagepart:4>);	
mods.recipestages.Recipes.addShaped("RS_16384fk","Dragon", <rebornstorage:storagepart:4>, [[EliteProc, Tank3, EliteProc], [<refinedstorage:fluid_storage_part:3>, <ore:circuitElite>, <refinedstorage:fluid_storage_part:3>], [EliteProc, <refinedstorage:fluid_storage_part:3>, EliteProc]]);

mods.recipestages.Recipes.addShapeless("RS_16384fkh","Dragon", <rebornstorage:storagecell:4>, [<refinedstorage:storage_housing>, <rebornstorage:storagepart:4>]);

	#32000k
recipes.remove(<rebornstorage:storagepart:5>);	
mods.recipestages.Recipes.addShaped("RS_32000fk","Dragon", <rebornstorage:storagepart:5>, [[UltProc, Tank3, UltProc], [<rebornstorage:storagepart:4>, <ore:circuitElite>, <rebornstorage:storagepart:4>], [UltProc, <rebornstorage:storagepart:4>, UltProc]]);

mods.recipestages.Recipes.addShapeless("RS_32000fkh","Dragon", <rebornstorage:storagecell:5>, [<refinedstorage:storage_housing>, <rebornstorage:storagepart:5>]);

	#131M
recipes.remove(<rebornstorage:storagepart:6>);	
mods.recipestages.Recipes.addShaped("RS_131fk","Dragon", <rebornstorage:storagepart:6>, [[OmegProc, Tank4, OmegProc], [<rebornstorage:storagecell:5>, <ore:circuitElite>, <rebornstorage:storagecell:5>], [OmegProc, <rebornstorage:storagecell:5>, OmegProc]]);

mods.recipestages.Recipes.addShapeless("RS_131fkh","Dragon", <rebornstorage:storagecell:6>, [<refinedstorage:storage_housing>, <rebornstorage:storagepart:6>]);

	#524M
recipes.remove(<rebornstorage:storagepart:7>);	
mods.recipestages.Recipes.addShaped("RS_72fk","Dragon", <rebornstorage:storagepart:7>, [[OmegProc, Tank4, OmegProc], [<rebornstorage:storagecell:6>, <ore:circuitElite>, <rebornstorage:storagecell:6>], [OmegProc, <rebornstorage:storagecell:6>, OmegProc]]);

mods.recipestages.Recipes.addShapeless("RS_72fkh","Dragon", <rebornstorage:storagecell:7>, [<refinedstorage:storage_housing>, <rebornstorage:storagepart:7>]);


	#Crafting Block
recipes.remove(<rebornstorage:multicrafter:3>);
mods.recipestages.Recipes.addShaped("RS_mcb","Nether", <rebornstorage:multicrafter:3>, [[<rebornstorage:multicrafter>, <ironchest:iron_chest:2>, <rebornstorage:multicrafter>], [<refinedstorage:storage_part>, <refinedstorage:processor:5>, <refinedstorage:storage_part>], [<rebornstorage:multicrafter>, <refinedstorage:storage_part>, <rebornstorage:multicrafter>]]);

	#Wireless Grids
recipes.remove(<refinedstorage:wireless_grid>);
recipes.remove(<refinedstorage:wireless_fluid_grid>);
recipes.remove(<refinedstorage:wireless_crafting_monitor>);

mods.recipestages.Recipes.addShaped("RS_wlg1","Nether", <refinedstorage:wireless_grid>, [
[ConIron, <minecraft:ender_pearl>, ConIron], 
[ConIron, <refinedstorage:grid>, ConIron], 
[ConIron, <refinedstorage:processor:5>, ConIron]]);

mods.recipestages.Recipes.addShaped("RS_wlg2","Nether", <refinedstorage:wireless_fluid_grid>, [
[ConIron, <minecraft:ender_pearl>, ConIron], 
[ConIron, <refinedstorage:grid:3>, ConIron], 
[ConIron, <refinedstorage:processor:5>, ConIron]]);

mods.recipestages.Recipes.addShaped("RS_wlg3","Nether", <refinedstorage:wireless_crafting_monitor>, [
[ConIron, <minecraft:ender_pearl>, ConIron], 
[ConIron, <refinedstorage:crafting_monitor>, ConIron], 
[ConIron, <refinedstorage:processor:5>, ConIron]]);


