#loader crafttweaker

import mods.astralsorcery.Altar;
import mods.inworldcrafting.FluidToItem;
import mods.thaumcraft.SalisMundus;

mods.jei.JEI.removeAndHide(<magicbees:manasteelscoop>);
mods.jei.JEI.removeAndHide(<magicbees:manasteelgrafter>);

val IriStar = <astralsorcery:itemshiftingstar>.withTag({astralsorcery: {starAttunement: "astralsorcery.constellation.discidia"}});

#Enchanted Earth
recipes.remove(<randomthings:fertilizeddirt>);
<randomthings:fertilizeddirt>.addTooltip("Perhaps you should use Salis Mundus on this");
SalisMundus.addSingleConversion(<blockstate:randomthings:fertilizeddirt>.block, <magicbees:enchanted_earth>);

#Magic Frame
recipes.remove(<magicbees:frames.magic>);
mods.inworldcrafting.FluidToItem.transform(<magicbees:frames.magic>, <liquid:astralsorcery.liquidstarlight>, [<forestry:frame_impregnated>, <thaumcraft:salis_mundus>], true);




#False Life
recipes.remove(<magicbees:resource:7>);
mods.astralsorcery.Altar.addDiscoveryAltarRecipe("voltage:shaped/internal/altar/falselife", <magicbees:resource:7>, 200, 200, [
            <astralsorcery:itemcraftingcomponent:3>, <magicbees:wax:1>, <astralsorcery:itemcraftingcomponent:3>, 
			<magicbees:wax:1>, <minecraft:red_flower:*>, <magicbees:wax:1>, 
			<astralsorcery:itemcraftingcomponent:3>, <magicbees:wax:1>, <astralsorcery:itemcraftingcomponent:3>]);

#Shallow Grave
recipes.remove(<magicbees:resource:8>);
mods.astralsorcery.Altar.addDiscoveryAltarRecipe("voltage:shaped/internal/altar/shallowgrave", <magicbees:resource:8>, 200, 200, [
            <astralsorcery:itemcraftingcomponent:3>, <magicbees:wax:1>, <astralsorcery:itemcraftingcomponent:3>, 
			<magicbees:wax:1>, <bewitchment:ebb_of_death>, <magicbees:wax:1>, 
			<astralsorcery:itemcraftingcomponent:3>, <magicbees:wax:1>, <astralsorcery:itemcraftingcomponent:3>]);

#lost time
recipes.remove(<magicbees:resource:9>);
mods.astralsorcery.Altar.addDiscoveryAltarRecipe("voltage:shaped/internal/altar/losttime", <magicbees:resource:9>, 200, 200, [
            <astralsorcery:itemcraftingcomponent:3>, <magicbees:wax:1>, <astralsorcery:itemcraftingcomponent:3>, 
			<magicbees:wax:1>, <thaumcraft:mind>, <magicbees:wax:1>, 
			<astralsorcery:itemcraftingcomponent:3>, <magicbees:wax:1>, <astralsorcery:itemcraftingcomponent:3>]);
			
#Durability
recipes.remove(<magicbees:resource:10>);
mods.astralsorcery.Altar.addDiscoveryAltarRecipe("voltage:shaped/internal/altar/durability", <magicbees:resource:10>, 300, 300, [
            <astralsorcery:itemcraftingcomponent:3>, <magicbees:wax>, <astralsorcery:itemcraftingcomponent:3>, 
			<magicbees:wax>, <thaumcraft:seal:9>, <magicbees:wax>, 
			<astralsorcery:itemcraftingcomponent:3>, <magicbees:wax>, <astralsorcery:itemcraftingcomponent:3>]);

#Scornful Oblivion
recipes.remove(<magicbees:resource:11>);
mods.astralsorcery.Altar.addDiscoveryAltarRecipe("voltage:shaped/internal/altar/scornfuloblivion", <magicbees:resource:11>, 200, 200, [
            <magicbees:resource:8>, <thaumcraft:plate:3>, <magicbees:resource:9>, 
			<thaumcraft:plate:3>, <astralsorcery:itemshiftingstar>, <thaumcraft:plate:3>, 
			<magicbees:resource:9>, <thaumcraft:plate:3>, <magicbees:resource:8>]);

#Flickle Vitality
recipes.remove(<magicbees:resource:12>);
mods.astralsorcery.Altar.addDiscoveryAltarRecipe("voltage:shaped/internal/altar/vitality", <magicbees:resource:12>, 250, 200, [
            <magicbees:wax:1>, <thaumcraft:amber>, <magicbees:wax:1>, 
			<thaumcraft:amber>, <bewitchment:essence_of_vitality>, <thaumcraft:amber>, 
			<magicbees:wax:1>, <thaumcraft:amber>, <magicbees:wax:1>]);

#Dimensional Singularity
recipes.remove(<magicbees:resource:13>);
mods.astralsorcery.Altar.addAttunementAltarRecipe("voltage:shaped/internal/altar/dimensionalsingularity", <magicbees:resource:13>, 1000, 1000, [
            <ic2:itemreactorrods:12>, <actuallyadditions:item_misc:19>, <ic2:itemreactorrods:12>,
            <actuallyadditions:item_misc:19>, <thaumcraft:primordial_pearl>, <actuallyadditions:item_misc:19>,
            <ic2:itemreactorrods:12>, <actuallyadditions:item_misc:19>, <ic2:itemreactorrods:12>, 
            IriStar, IriStar, IriStar, IriStar]);

#bee jar
recipes.remove(<magicbees:effectjar>);
mods.astralsorcery.Altar.addDiscoveryAltarRecipe("voltage:shaped/internal/altar/beejar", <magicbees:effectjar>, 200, 200, [
			<astralsorcery:itemcraftingcomponent:3>, <bewitchment:dragons_blood_slab>, <astralsorcery:itemcraftingcomponent:3>, 
			<bewitchment:bottled_frostfire>, <magicbees:pollen>, <bewitchment:bottled_frostfire>, 
			<astralsorcery:itemcraftingcomponent:3>, <bewitchment:heaven_extract>, <astralsorcery:itemcraftingcomponent:3>]);
			
#Moon Dial
recipes.remove(<magicbees:moondial>);
mods.astralsorcery.Altar.addDiscoveryAltarRecipe("voltage:shaped/internal/altar/moondial", <magicbees:moondial>, 200, 200, [
			<bewitchment:essence_of_vitality>, <bewitchment:cold_iron_plate>, <bewitchment:essence_of_vitality>, 
			<bewitchment:cold_iron_plate>, <minecraft:clock>, <bewitchment:cold_iron_plate>, 
			<bewitchment:essence_of_vitality>, <bewitchment:cold_iron_plate>, <bewitchment:essence_of_vitality>]);
			
			
				#Magnets

#Magnet 0
recipes.remove(<magicbees:mysteriousmagnet>);
recipes.addShaped(<magicbees:mysteriousmagnet>, [[null, <ore:plateIron>, null], [<ic2:itemmisc:263>, <magicbees:resource:13>, <ic2:itemmisc:263>], [null, <custom_additions:alchemicomonic_tube>, null]]);

#Magnet 1
recipes.remove(<magicbees:mysteriousmagnet:2>);
recipes.addShaped(<magicbees:mysteriousmagnet:2>, [[null, <ic2:itemmisc:263>, null], [<magicbees:mysteriousmagnet>, <magicbees:resource:13>, <magicbees:mysteriousmagnet>], [null, <ic2:itemmisc:263>, null]]);

#Magnet 2
recipes.remove(<magicbees:mysteriousmagnet:4>);
recipes.addShaped(<magicbees:mysteriousmagnet:4>, [[null, <ic2:itemmisc:263>, null], [<magicbees:mysteriousmagnet:2>, <magicbees:resource:13>, <magicbees:mysteriousmagnet:2>], [null, <ic2:itemmisc:263>, null]]);

#Magnet 3
recipes.remove(<magicbees:mysteriousmagnet:6>);
recipes.addShaped(<magicbees:mysteriousmagnet:6>, [[null, <ic2:itemmisc:263>, null], [<magicbees:mysteriousmagnet:4>, <magicbees:resource:13>, <magicbees:mysteriousmagnet:4>], [null, <ic2:itemmisc:263>, null]]);

#Magnet 4
recipes.remove(<magicbees:mysteriousmagnet:8>);
recipes.addShaped(<magicbees:mysteriousmagnet:8>, [[null, <ic2:itemmisc:263>, null], [<magicbees:mysteriousmagnet:6>, <magicbees:resource:13>, <magicbees:mysteriousmagnet:6>], [null, <ic2:itemmisc:263>, null]]);

#Magnet 5
recipes.remove(<magicbees:mysteriousmagnet:10>);
recipes.addShaped(<magicbees:mysteriousmagnet:10>, [[null, <ic2:itemmisc:263>, null], [<magicbees:mysteriousmagnet:8>, <magicbees:resource:13>, <magicbees:mysteriousmagnet:8>], [null, <ic2:itemmisc:263>, null]]);

#Magnet 6
recipes.remove(<magicbees:mysteriousmagnet:12>);
recipes.addShaped(<magicbees:mysteriousmagnet:12>, [[null, <ic2:itemmisc:263>, null], [<magicbees:mysteriousmagnet:10>, <magicbees:resource:13>, <magicbees:mysteriousmagnet:10>], [null, <ic2:itemmisc:263>, null]]);

#Magnet 7
recipes.addShaped(<magicbees:mysteriousmagnet:14>, [[null, <ic2:itemmisc:263>, null], [<magicbees:mysteriousmagnet:12>, <magicbees:resource:13>, <magicbees:mysteriousmagnet:12>], [null, <ic2:itemmisc:263>, null]]);

#Magnet 8
recipes.remove(<magicbees:mysteriousmagnet:16>);
recipes.addShaped(<magicbees:mysteriousmagnet:16>, [[null, <ic2:itemmisc:263>, null], [<magicbees:mysteriousmagnet:14>, <magicbees:resource:13>, <magicbees:mysteriousmagnet:14>], [null, <ic2:itemmisc:263>, null]]);

#Magnet 9
recipes.remove(<magicbees:mysteriousmagnet:18>);
recipes.addShaped(<magicbees:mysteriousmagnet:18>, [[null, <ic2:itemmisc:263>, null], [<magicbees:mysteriousmagnet:16>, <magicbees:resource:13>, <magicbees:mysteriousmagnet:16>], [null, <ic2:itemmisc:263>, null]]);


