#loader crafttweaker

import mods.forestry.ThermionicFabricator;
import mods.immersiveengineering.MetalPress;
import mods.thermalexpansion.Transposer;
import crafttweaker.oredict.IOreDictEntry;
import mods.thaumcraft.ArcaneWorkbench;
import mods.immersiveengineering.Blueprint;
import mods.ic2.CanningMachine;



							#This Script Requires the Following Mods Installed
#Immersive Engineering
#Ender IO
#Actually Additions
#Bewitchment
#Thaumcraft
#Tinkers' Construct
#Thermal Expansion
#Mekanism
#Project E
#Forestry
#IC2 Classic
#Refined Storage


	#Ore Dictionary
#Enderium Plate
val oreDictEnt = <ore:plateEnderium>;
//oreDictEnt.add(IItemStack... item_items);
oreDictEnt.add(<custom_additions:enderium_plate>);


val ElectrumRod = <tconstruct:tool_rod>.withTag({Material: "electrum"}); 
val squid = <enderio:item_soul_vial:1>.withTag({entityId: "minecraft:squid"});
val ghast = <enderio:item_soul_vial:1>.withTag({entityId: "minecraft:ghast"});


##Because of issues Custom Additions Uses Crafttweaker to add its content recipes


																#Immersive Engineering Compatibility 

mods.immersiveengineering.Blueprint.addRecipe("molds", <custom_additions:grind_ball_mold>, [<ore:plateSteel> * 6, <immersiveengineering:tool:1>]);


//Example:
#mods.immersiveengineering.MetalPress.addRecipe(IItemStack output, IIngredient input, IItemStack mold, int energy, @Optional int inputSize);

#Thermal Expansion
mods.immersiveengineering.MetalPress.addRecipe(<custom_additions:enderium_plate>, <ore:ingotEnderium> * 2, <immersiveengineering:mold>, 2000);


#EnderIO
#mods.immersiveengineering.MetalPress.addRecipe(<custom_additions:vibrant_alloy_plate>, <enderio:item_alloy_ingot:2> * 2, <immersiveengineering:mold>, 2000);
#mods.immersiveengineering.MetalPress.addRecipe(<custom_additions:energetic_alloy_plate>, <enderio:item_alloy_ingot:1> * 2, <immersiveengineering:mold>, 2000);
#mods.immersiveengineering.MetalPress.addRecipe(<custom_additions:soularium_plate>, <enderio:item_alloy_ingot:7> * 2, <immersiveengineering:mold>, 2000);
#mods.immersiveengineering.MetalPress.addRecipe(<custom_additions:pulsating_iron_plate>, <enderio:item_alloy_ingot:5> * 2, <immersiveengineering:mold>, 2000);
#mods.immersiveengineering.MetalPress.addRecipe(<custom_additions:iron_alloy_plate>, <enderio:item_alloy_ingot:9> * 2, <immersiveengineering:mold>, 2000);
#mods.immersiveengineering.MetalPress.addRecipe(<custom_additions:dark_steel_plate>, <enderio:item_alloy_ingot:6> * 2, <immersiveengineering:mold>, 2000);
#mods.immersiveengineering.MetalPress.addRecipe(<custom_additions:electric_steel_plate>, <enderio:item_alloy_ingot>, <immersiveengineering:mold> * 2, 2000);
#mods.immersiveengineering.MetalPress.addRecipe(<custom_additions:end_steel_plate>, <enderio:item_alloy_ingot:8> * 2, <immersiveengineering:mold>, 2000);

#Mekanism
#mods.immersiveengineering.MetalPress.addRecipe(<custom_additions:refined_obsidian_plate>, <ore:ingotRefinedObsidian>, <immersiveengineering:mold>, 2000);

#ProjectE
mods.immersiveengineering.MetalPress.addRecipe(<custom_additions:dark_matter_plate>, <projecte:item.pe_matter>*2, <immersiveengineering:mold>, 2000);
mods.immersiveengineering.MetalPress.addRecipe(<custom_additions:red_matter_plate>, <projecte:item.pe_matter:1>*2, <immersiveengineering:mold>, 2000);

#Tinkers' Construct
#mods.immersiveengineering.MetalPress.addRecipe(<custom_additions:ardite_plate>, <ore:ingotArdite> * 2, <immersiveengineering:mold>, 2000);
#mods.immersiveengineering.MetalPress.addRecipe(<custom_additions:cobalt_plate>, <ore:ingotCobalt> * 2, <immersiveengineering:mold>, 2000);
#mods.immersiveengineering.MetalPress.addRecipe(<custom_additions:manyullyn_plate>, <ore:ingotManyullyn> * 2, <immersiveengineering:mold>, 2000);

#Extreme Reactors
#mods.immersiveengineering.MetalPress.addRecipe(<custom_additions:graphite_plate>, <ore:ingotGraphite> * 2, <immersiveengineering:mold>, 2000);
#mods.immersiveengineering.MetalPress.addRecipe(<custom_additions:yellorium_plate>, <ore:ingotYellorium> * 2, <immersiveengineering:mold>, 2000);

																#Forestry Compatibility 
//mods.forestry.ThermionicFabricator.addCast(IItemStack output, IIngredient[][] ingredients, ILiquidStack liquidStack, @Optional IItemStack plan);

#Thaumcraft
mods.forestry.ThermionicFabricator.addCast(<custom_additions:alchemicomonic_tube> * 4, [[null, <thaumcraft:nugget:8>, null], 
[<enderio:item_alloy_nugget:3>, <thaumcraft:ingot:2>, <enderio:item_alloy_nugget:3>], 
[<thaumcraft:plate>, <thaumcraft:plate>, <thaumcraft:plate>]], 
<liquid: glass> * 500);

#EnderIO
mods.forestry.ThermionicFabricator.addCast(<custom_additions:vibranomonic_tube> * 4, [[null, <enderio:item_alloy_nugget:2>, null],
[<enderio:item_alloy_nugget:3>, <enderio:item_alloy_ingot:2>, <enderio:item_alloy_nugget:3>], 
[<custom_additions:vibrant_alloy_plate>, <custom_additions:vibrant_alloy_plate>, <custom_additions:vibrant_alloy_plate>]], 
<liquid: glass> * 500);

#Thermal Expansion
mods.forestry.ThermionicFabricator.addCast(<custom_additions:endothermionic_tube> * 4, 
[[null, <ore:nuggetEnderium>, null], 
[<enderio:item_alloy_nugget:3>, <ore:ingotEnderium>, <enderio:item_alloy_nugget:3>], 
[<ore:plateEnderium>, <ore:plateEnderium>, <ore:plateEnderium>]], 
<liquid: glass> * 500);

#Immersive Engineering
mods.forestry.ThermionicFabricator.addCast(<custom_additions:electrothermonic_tube> * 4, 
[[null, <ore:nuggetElectrum>, null], 
[<enderio:item_alloy_nugget:3>, <ore:ingotElectrum>, <enderio:item_alloy_nugget:3>], 
[<ore:plateElectrum>, <ore:plateElectrum>, <ore:plateElectrum>]], 
<liquid: glass> * 500);

#Mekanism
mods.forestry.ThermionicFabricator.addCast(<custom_additions:obsidomonic_tube> * 4, 
[[null, <ore:nuggetRefinedObsidian>, null], 
[<enderio:item_alloy_nugget:3>, <ore:ingotRefinedObsidian>, <enderio:item_alloy_nugget:3>], 
[<custom_additions:refined_obsidian_plate>, <custom_additions:refined_obsidian_plate>, <custom_additions:refined_obsidian_plate>]], 
<liquid: glass> * 500);

#Actually Additions
mods.forestry.ThermionicFabricator.addCast(<custom_additions:redstomonic_tube> * 4, 
[[null, <actuallyadditions:item_crystal_shard>, null], 
[<enderio:item_alloy_nugget:3>, <actuallyadditions:item_crystal>, <enderio:item_alloy_nugget:3>], 
[<actuallyadditions:item_crystal_empowered>, <actuallyadditions:item_crystal_empowered>, <actuallyadditions:item_crystal_empowered>]], 
<liquid: glass> * 500);


//mods.forestry.ThermionicFabricator.addSmelting(ILiquidStack liquidStack, IItemStack itemInput, int meltingPoint);
#mods.forestry.ThermionicFabricator.addSmelting(<liquid:glass> * 120, <minecraft:stone>, 500);


																#Thermal Expansion Compatibility

#Redstone Arsenal/Tinkers' Construct
//mods.thermalexpansion.Transposer.addFillRecipe(IItemStack output, IItemStack input, ILiquidStack fluid, int energy);
mods.thermalexpansion.Transposer.addFillRecipe(<custom_additions:fluxed_electrum_tool_rod>, ElectrumRod, <liquid:redstone> * 1000, 4000);

#Custom Item - Flight Ring
		#Gold Plated Band
mods.thermalexpansion.Transposer.addFillRecipe(<custom_additions:gold_plated_band>, <projecte:item.pe_ring_iron_band>, <liquid:gold> * 1000 ,20000);

        #Redstone Infused Gold Ring
mods.thermalexpansion.Transposer.addFillRecipe(<custom_additions:redstone_infused_gold_ring>, <custom_additions:gold_plated_band>,<liquid:redstone> * 2500, 40000);




																#Mekanism Compatibility

#ProjectE
mods.mekanism.enrichment.addRecipe(<projecte:fuel_block:2> *9, <custom_additions:compressed_aeternalis_carbon>);
mods.mekanism.enrichment.addRecipe(<projecte:fuel_block:1> * 9, <custom_additions:compressed_mobius_carbon>);
mods.mekanism.enrichment.addRecipe(<projecte:fuel_block> * 9, <custom_additions:compressed_alchemical_carbon>);


		
						#Dimensional Shard 5x Production & IC2 Plates (if applicable)
						
#4x
mods.mekanism.chemical.injection.addRecipe(<ore:oreDimensionalShard>, <gas:hydrogenchloride>, <custom_additions:dimensional_shard> * 4);
mods.mekanism.chemical.injection.addRecipe(<custom_additions:dimensional_crystal>, <gas:hydrogenchloride>, <custom_additions:dimensional_shard>);

#3x
mods.mekanism.purification.addRecipe(<ore:oreDimensionalShard>, <custom_additions:dimensional_clump> * 3);
mods.mekanism.purification.addRecipe(<custom_additions:dimensional_shard>, <custom_additions:dimensional_clump>);

#3x part 2
mods.mekanism.crusher.addRecipe(<custom_additions:dimensional_clump>, <custom_additions:dimensional_dirty_dust>);

#2x
mods.mekanism.enrichment.addRecipe(<ore:oreDimensionalShard>, <custom_additions:dimensional_dust> * 2);
mods.mekanism.enrichment.addRecipe(<custom_additions:dimensional_dirty_dust> , <custom_additions:dimensional_dust>);

#DimensionalShardRFTools
mods.mekanism.combiner.addRecipe(<actuallyadditions:item_crystal_shard:2> * 8, <custom_additions:dimensional_dust>, <rftools:dimensional_shard>);

#DimensionalPlate
mods.mekanism.compressor.addRecipe(<custom_additions:combined_dimensiona_fibers> * 2, <custom_additions:dimensional_plate>);


														
						#Alloys and Circuits
						
#Vibrance Alloy
mods.mekanism.combiner.addRecipe(<enderio:item_material:35> * 2, <mekanism:atomicalloy>, <custom_additions:vibrance_alloy>);

#Omega Circuit
recipes.addShaped(<custom_additions:omega_circuit>, [[null, null, null], [<custom_additions:vibrance_alloy>, <mekanism:controlcircuit:3>, <custom_additions:vibrance_alloy>]]);


																#Refine Storage Compatibility
#Ender IO
	#Raw Omega Processor(Vibrant)
	recipes.addShaped(<custom_additions:raw_omega_processor>,
	[[<refinedstorage:processor_binding>,<enderio:item_alloy_ingot:2>,null],
	[<ore:itemSilicon>,<minecraft:redstone>,null],
	[null,null,null]]);
	
	#Raw Ultimate Processor(Energetic)
	recipes.addShaped(<custom_additions:raw_ultimate_processor>,
	[[<refinedstorage:processor_binding>,<enderio:item_alloy_ingot:1>,null],
	[<ore:itemSilicon>,<minecraft:redstone>,null],
	[null,null,null]]);
	
#Thermal Expansion
	#Raw Elite Processor(Enderium)
	recipes.addShaped(<custom_additions:raw_elite_processor>,
	[[<refinedstorage:processor_binding>,<thermalfoundation:material:167>,null],
	[<ore:itemSilicon>,<minecraft:redstone>,null],
	[null,null,null]]);
	
#Thaumcraft
    #Raw Thaumcraft Processing unit
    mods.thaumcraft.ArcaneWorkbench.registerShapedRecipe("RawThaumiumProcessingUnit", "", 20,
    [<aspect:aer>, <aspect:ignis>, <aspect:terra>], 
    <custom_additions:thaumic_processing_unit>,
    [[<refinedstorage:processor_binding>,<thaumcraft:ingot>],[<ore:itemSilicon>,<minecraft:redstone>]]);
	
#ProjectE
	#Red and Dark Matter Cores
recipes.addShaped(<custom_additions:dark_matter_core>,[[<refinedstorage:core>, <custom_additions:vibrance_alloy>], [<projecte:item.pe_matter>]]);
recipes.addShaped(<custom_additions:red_matter_core>,[[<refinedstorage:core>, <custom_additions:vibrance_alloy>], [<projecte:item.pe_matter:1>]]);

																#Industrial Craft 2 Classic Compatibility 

#Extreme Reactors

#Name Fixes
<custom_additions:yellorium_rod>.displayName = "Yellorium Cell";
<custom_additions:dual_yellorium_rod>.displayName = "Dual Yellorium Cell";
<custom_additions:yellorium_quad_rod>.displayName = "Quad Yellorium Cell";

		#Yellorium Fuel Rod
#int fuelValue How much fuel the specified item is worth.
#IItemStack input The item to register that fuel value for. It can even be items with existing values, in which #case the previously specified value will be overwritten. Note: must be an itemstack, no oredicts allowed.

#mods.ic2.CanningMachine.registerFuelValue(int fuelValue, IItemStack input);
#mods.ic2.CanningMachine.registerFuelValue(10, <minecraft:diamond_block>);


#mods.ic2.CanningMachine.addCanningRecipe(IItemStack output, IIngredient filler, IItemStack container);	

mods.ic2.CanningMachine.addCanningRecipe(<custom_additions:yellorium_rod>, <bigreactors:ingotyellorium>, <ic2c_extras:emptyfuelrod>);

#IItemStack output The product
#IItemStack container The itemstack to be "filled"
#IIngredient filler The ingredient with which is filled into the container

#Yellorium Dual Fuel Rod
recipes.addShaped(<custom_additions:dual_yellorium_rod>, [
[null, null, null],
[<custom_additions:yellorium_rod>, <ic2:itemmisc:259>, <custom_additions:yellorium_rod>]]);

#Yellorium Quad Fuel Rod
	#With Single Rods
recipes.addShaped(<custom_additions:yellorium_quad_rod>, [
[<custom_additions:yellorium_rod>, <ic2:itemmisc:259>, <custom_additions:yellorium_rod>],
[<ic2:itemmisc:259>, <ic2:itemmisc:259>, <ic2:itemmisc:259>],
[<custom_additions:yellorium_rod>, <ic2:itemmisc:259>, <custom_additions:yellorium_rod>]]);

	#With Dual Rods
recipes.addShaped(<custom_additions:yellorium_quad_rod>, [
[null, <custom_additions:dual_yellorium_rod>, null],
[<ic2:itemmisc:259>, <ic2:itemmisc:259>, <ic2:itemmisc:259>],
[null, <custom_additions:dual_yellorium_rod>, null]]);
