#loader crafttweaker
import mods.tconstruct.Casting;
import mods.immersiveengineering.MetalPress;
import mods.recipestages.Recipes;
import mods.enderio.AlloySmelter;
import mods.immersiveengineering.ArcFurnace;
import mods.thermalexpansion.InductionSmelter;
import mods.tconstruct.Alloy;

#Iron Alloy Recipe Change
#mods.enderio.AlloySmelter.removeRecipe(<enderio:item_alloy_ingot:7>);
#mods.enderio.AlloySmelter.addRecipe(IItemStack output, IIngredient[] input, @Optional int energyCost, @Optional float xp);
#mods.enderio.AlloySmelter.addRecipe(<enderio:item_alloy_ingot:7>, [<refinedstorage:quartz_enriched_iron>, <ore:ingotRefinedIron>, <ore:ingotSteel>], 10000);

#Recipes.remove(<enderio:item_alloy_ingot:6>);

#Dark Steel Change
#EnderIO
#mods.enderio.AlloySmelter.addRecipe(<enderio:item_alloy_ingot:6>, [<ore:ingotRefinedObsidian>, <ore:ingotSteel>], 20000);

#IE
#mods.immersiveengineering.ArcFurnace.addRecipe(IItemStack output, IIngredient input, IItemStack slag, int time, int energyPerTick, @Optional IIngredient[] additives, @Optional String specialRecipeType);
#mods.immersiveengineering.ArcFurnace.addRecipe(<enderio:item_alloy_ingot:6>, 20, 512, [<ore:ingotSteel>, <ore:ingotRefinedObsidian>], "Alloying");

#TiCo
#mods.tconstruct.Casting.addTableRecipe(<enderio:item_alloy_ingot:6>, <minecraft:gold_ingot>, <liquid:dark_steel>, 140);

#Thermal
#mods.thermalexpansion.InductionSmelter.addRecipe(IItemStack primaryOutput, IItemStack primaryInput, IItemStack secondaryInput, int energy, @Optional IItemStack secondaryOutput, @Optional int secondaryChance);

#mods.thermalexpansion.InductionSmelter.addRecipe(<enderio:item_alloy_ingot:6>, <ore:ingotSteel>, <ore:ingotRefinedObsidian>, 1500, <enderio:item_alloy_nugget:6>, 10);

#mods.tconstruct.Alloy.removeRecipe(<liquid:dark_steel>);

	#Values
val Tank = <mekanism:machineblock2:11>.withTag({tier: 3});
val Cube = <mekanism:energycube>.withTag({tier: 3});
val SoulPlate = <custom_additions:soularium_plate>;
val ESteelPlate = <custom_additions:electric_steel_plate>;
val EndSPlate = <custom_additions:end_steel_plate>;
val DSteelPlate = <custom_additions:dark_steel_plate>;
val EnergeticPlate = <custom_additions:energetic_alloy_plate>;
val VibrantPlate = <custom_additions:vibrant_alloy_plate>;
val PulseIPlate = <custom_additions:pulsating_iron_plate>;
val ballCast = <custom_additions:grind_ball_mold>;
	#Renames

//Example
<enderio:item_material:65>.displayName = "Wireless Transmitter Dish Assembly";
<enderio:item_broken_spawner>.addTooltip("It appears these only can be used for emc");


#Because $&#^ having easy mode
mods.jei.JEI.removeAndHide(<enderio:block_powered_spawner>);
mods.jei.JEI.removeAndHide(<enderio:block_simple_wired_charger>);
mods.jei.JEI.removeAndHide(<enderio:block_wired_charger>);
mods.jei.JEI.removeAndHide(<enderio:block_enhanced_wired_charger>);
mods.jei.JEI.removeAndHide(<enderio:block_simple_furnace>);
mods.jei.JEI.removeAndHide(<enderio:block_simple_alloy_smelter>);
mods.jei.JEI.removeAndHide(<enderio:block_enchanter>);
mods.jei.JEI.removeAndHide(<enderio:block_combustion_generator>);
mods.jei.JEI.removeAndHide(<enderio:block_enhanced_combustion_generator>);
mods.jei.JEI.removeAndHide(<enderio:block_simple_stirling_generator>);
mods.jei.JEI.removeAndHide(<enderio:block_stirling_generator>);
mods.jei.JEI.removeAndHide(<enderio:block_zombie_generator>);
mods.jei.JEI.removeAndHide(<enderio:block_franken_zombie_generator>);
mods.jei.JEI.removeAndHide(<enderio:block_ender_generator>);
mods.jei.JEI.removeAndHide(<enderio:block_lava_generator>);
mods.jei.JEI.removeAndHide(<enderio:block_attractor_obelisk>);
mods.jei.JEI.removeAndHide(<enderio:block_inhibitor_obelisk>);
mods.jei.JEI.removeAndHide(<enderio:block_aversion_obelisk>);
mods.jei.JEI.removeAndHide(<enderio:block_relocator_obelisk>);
mods.jei.JEI.removeAndHide(<enderio:block_weather_obelisk>);
mods.jei.JEI.removeAndHide(<enderio:block_reservoir>);
mods.jei.JEI.removeAndHide(<enderio:block_omni_reservoir>);
mods.jei.JEI.removeAndHide(<enderio:block_simple_sag_mill>);
mods.jei.JEI.removeAndHide(<enderio:block_simple_crafter>);
mods.jei.JEI.removeAndHide(<enderio:block_cap_bank:1>);
mods.jei.JEI.removeAndHide(<enderio:block_cap_bank:2>);
mods.jei.JEI.removeAndHide(<enderio:block_cap_bank:3>);
mods.jei.JEI.removeAndHide(<enderio:block_power_monitor>);
mods.jei.JEI.removeAndHide(<enderio:block_advanced_power_monitor>);
mods.jei.JEI.removeAndHide(<enderio:block_gauge>);
mods.jei.JEI.removeAndHide(<enderio:item_material:3>);


									#Cheaper TiCon Plate Recipes
#mods.immersiveengineering.MetalPress.addRecipe(IItemStack output, IIngredient input, IItemStack mold, int energy, @Optional int inputSize);
			
									#Grind Balls
#Removals
recipes.remove(<enderio:item_alloy_ball:7>);
recipes.remove(<enderio:item_alloy_ball:2>);
recipes.remove(<enderio:item_alloy_ball:6>);
recipes.remove(<enderio:item_alloy_ball:5>);
recipes.remove(<enderio:item_alloy_ball:1>);
recipes.remove(<enderio:item_material:58>);
recipes.remove(<enderio:item_alloy_ball:9>);
recipes.remove(<enderio:item_alloy_ball:4>);
recipes.remove(<enderio:item_material:57>);
recipes.remove(<enderio:item_material:59>);
recipes.remove(<enderio:item_alloy_ball:3>);

mods.immersiveengineering.MetalPress.addRecipe(<enderio:item_alloy_ball:7>, <enderio:item_alloy_ingot:7>, ballCast, 2000, 2);
mods.immersiveengineering.MetalPress.addRecipe(<enderio:item_alloy_ball>, <enderio:item_alloy_ingot>, ballCast, 2000, 2);
mods.immersiveengineering.MetalPress.addRecipe(<enderio:item_alloy_ball:8>, <enderio:item_alloy_ingot:8>, ballCast, 2000, 2);
mods.immersiveengineering.MetalPress.addRecipe(<enderio:item_alloy_ball:6>, <enderio:item_alloy_ingot:6>, ballCast, 2000, 2);
mods.immersiveengineering.MetalPress.addRecipe(<enderio:item_alloy_ball:5>, <enderio:item_alloy_ingot:5>, ballCast, 2000, 2);
mods.immersiveengineering.MetalPress.addRecipe(<enderio:item_alloy_ball:1>, <enderio:item_alloy_ingot:1>, ballCast, 2000, 2);
mods.immersiveengineering.MetalPress.addRecipe(<enderio:item_alloy_ball:2>, <enderio:item_alloy_ingot:2>, ballCast, 2000, 2);
mods.immersiveengineering.MetalPress.addRecipe(<enderio:item_material:58>, <ore:ingotEnderium>, ballCast, 2000, 2);
mods.immersiveengineering.MetalPress.addRecipe(<enderio:item_alloy_ball:9>, <enderio:item_alloy_ingot:9>, ballCast, 2000, 2);
mods.immersiveengineering.MetalPress.addRecipe(<enderio:item_alloy_ball:3>, <enderio:item_alloy_ingot:3>, ballCast, 2000, 2);
mods.immersiveengineering.MetalPress.addRecipe(<enderio:item_alloy_ball:4>, <enderio:item_alloy_ingot:4>, ballCast, 2000, 2);
mods.immersiveengineering.MetalPress.addRecipe(<enderio:item_material:57>, <ore:ingotSignalum>, ballCast, 2000, 2);
mods.immersiveengineering.MetalPress.addRecipe(<enderio:item_material:59>, <ore:ingotLumium>, ballCast, 2000, 2);


#mods.recipestages.Recipes.addShaped("Dragon", 
#"EIO_", 
											
												#Items
	#Pulsating Crystal
recipes.remove(<enderio:item_material:14>);
mods.recipestages.Recipes.addShaped("EIO_PulsCry", "Dragon", <enderio:item_material:14>, [[<ore:nuggetPulsatingIron>, <ore:nuggetPulsatingIron>, <ore:nuggetPulsatingIron>], [<ore:nuggetPulsatingIron>, <mekanism:teleportationcore>, <ore:nuggetPulsatingIron>], [<ore:nuggetPulsatingIron>, <ore:nuggetPulsatingIron>, <ore:nuggetPulsatingIron>]]);

	#Vibrant Crystal
recipes.remove(<enderio:item_material:15>);
mods.recipestages.Recipes.addShaped("EIO_VibCry", "Dragon", <enderio:item_material:15>, [[<ore:nuggetVibrantAlloy>, <ore:nuggetVibrantAlloy>, <ore:nuggetVibrantAlloy>], [<ore:nuggetVibrantAlloy>, <actuallyadditions:item_crystal_empowered:4>, <ore:nuggetVibrantAlloy>], [<ore:nuggetVibrantAlloy>, <ore:nuggetVibrantAlloy>, <ore:nuggetVibrantAlloy>]]);

	#Infinity Rod
recipes.remove(<enderio:item_material:71>);
mods.recipestages.Recipes.addShaped("EIO_InfitRod", "Dragon", <enderio:item_material:71>, [[null, <ore:nuggetDarkSteel>, <ore:dustBedrock>], [<ore:nuggetDarkSteel>, <redstonearsenal:material:192>, <ore:nuggetDarkSteel>], [<ore:dustBedrock>, <ore:nuggetDarkSteel>, null]]);

												#Capacitors
	#T1 Capacitors
recipes.remove(<enderio:item_basic_capacitor>);
mods.recipestages.Recipes.addShaped("EIO_T1Cap", "Dragon", <enderio:item_basic_capacitor>, [[null, <ore:nuggetGold>, <ore:dustBedrock>], [<ore:nuggetGold>, <thermalfoundation:material:294>, <ore:nuggetGold>], [<ore:dustBedrock>, <ore:nuggetGold>, null]]);
	
	#T2 Capacitors
recipes.remove(<enderio:item_basic_capacitor:1>);
mods.recipestages.Recipes.addShaped("EIO_T2Cap", "Dragon", <enderio:item_basic_capacitor:1>, [[null, <ore:ingotEnergeticAlloy>, null], [<enderio:item_basic_capacitor>, <thermalfoundation:material:293>, <enderio:item_basic_capacitor>], [null, <ore:ingotEnergeticAlloy>, null]]);

	#T3 Capacitors
recipes.remove(<enderio:item_basic_capacitor:2>);
mods.recipestages.Recipes.addShaped("EIO_T3Cap", "Dragon", <enderio:item_basic_capacitor:2>, [[null, VibrantPlate, null], [<enderio:item_basic_capacitor:1>, <thermalfoundation:material:295>, <enderio:item_basic_capacitor:1>], [null, VibrantPlate, null]]);

												#Machines
	#T1 Machine Chassis
recipes.remove(<enderio:item_material>);
mods.recipestages.Recipes.addShaped("EIO_Chassis", "Dragon", <enderio:item_material>, [[<ore:plateSteel>, <immersiveengineering:material:2>, <ore:plateSteel>], [<ore:gearSteel>, <ore:dustBedrock>, <ore:gearSteel>], [<ore:plateSteel>, <immersiveengineering:material:2>, <ore:plateSteel>]]);

	#2nd Rate Tessaract
	#Cause the guy who made Thermal Expansion doesnt wanna add it back lul
recipes.remove(<enderio:block_transceiver>);	
mods.recipestages.Recipes.addShaped("EIO_Dtransiev", "Dragon", <enderio:block_transceiver>, [[<custom_additions:dimensional_plate>, <ore:skullEnderResonator>, <custom_additions:dimensional_plate>], [Tank, <ore:itemEnderCrystal>, Cube], [<custom_additions:dimensional_plate>, <enderio:item_basic_capacitor:2>, <custom_additions:dimensional_plate>]]);

	#Vat
recipes.remove(<enderio:block_vat>);
mods.recipestages.Recipes.addShaped("EIO_vat1", "Dragon", <enderio:block_vat>, [[ESteelPlate, <minecraft:cauldron>, ESteelPlate], [<enderio:block_tank>, <ore:itemMachineChassi>, <enderio:block_tank>], [DSteelPlate, <thermalexpansion:machine:6>, DSteelPlate]]);

	#Advanced Vat
recipes.remove(<enderio:block_enhanced_vat>);
mods.recipestages.Recipes.addShaped("EIO_vat2", "Dragon", <enderio:block_enhanced_vat>, [[ESteelPlate, <minecraft:cauldron>, ESteelPlate], [<enderio:block_tank:1>, <ore:itemEnhancedMachineChassi>, <enderio:block_tank:1>], [EndSPlate, <thermalexpansion:machine:6>, EndSPlate]]);

mods.recipestages.Recipes.addShaped("EIO_vat3", "Dragon", <enderio:block_enhanced_vat>, [[EndSPlate, <enderio:block_vat>, EndSPlate], [<enderio:block_tank:1>, <ore:itemEnhancedMachineChassi>, <enderio:block_tank:1>]]);

	#Alloy Furnace
recipes.remove(<enderio:block_alloy_smelter>);
mods.recipestages.Recipes.addShaped("EIO_Alloy1", "Dragon", <enderio:block_alloy_smelter>, [[<ore:ingotDarkSteel>, <thermalexpansion:machine>, <ore:ingotDarkSteel>], 
[<thermalexpansion:machine>, <ore:itemMachineChassi>, <thermalexpansion:machine>], 
[<ore:gearDark>, <minecraft:cauldron>, <ore:gearDark>]]);

	#Advanced Alloy Furnace
recipes.remove(<enderio:block_enhanced_alloy_smelter>);
mods.recipestages.Recipes.addShaped("EIO_Alloy2", "Dragon", <enderio:block_enhanced_alloy_smelter>, [[<ore:ingotEndSteel>, <thermalexpansion:machine>, <ore:ingotEndSteel>], 
[<thermalexpansion:machine>, <ore:itemEnhancedMachineChassi>, <thermalexpansion:machine>], 
[<ore:gearVibrant>, <minecraft:cauldron>, <ore:gearVibrant>]]);

mods.recipestages.Recipes.addShaped("EIO_Alloy3", "Dragon", <enderio:block_enhanced_alloy_smelter>, [[null, null, null], [<ore:ingotEndSteel>, <enderio:block_alloy_smelter>, <ore:ingotEndSteel>], [<ore:gearVibrant>, <ore:itemEnhancedMachineChassi>, <ore:gearVibrant>]]);

	#SAG Mill
mods.recipestages.Recipes.addShaped("EIO_SAG1", "Dragon", <enderio:block_sag_mill>, [[<ore:crystalSlagRich>, <ore:crystalSlagRich>, <ore:crystalSlagRich>], [<ore:ingotDarkSteel>, <ore:itemMachineChassi>, <ore:ingotDarkSteel>], [<ore:gearDark>, <thermalexpansion:machine:3>, <ore:gearDark>]]);

	#SAG Advanced
mods.recipestages.Recipes.addShaped("EIO_SAG2", "Dragon", <enderio:block_enhanced_sag_mill>, [[<ore:crystalSlagRich>, <ore:crystalSlagRich>, <ore:crystalSlagRich>], [<ore:ingotEndSteel>, <ore:itemEnhancedMachineChassi>, <ore:ingotEndSteel>], [<ore:gearVibrant>, <thermalexpansion:machine:3>, <ore:gearVibrant>]]);

mods.recipestages.Recipes.addShaped("EIO_SAG3", "Dragon", <enderio:block_enhanced_sag_mill>, [[null, null, null], [<ore:ingotEndSteel>, <enderio:block_sag_mill>, <ore:ingotEndSteel>, <ore:gearVibrant>, <ore:itemEnhancedMachineChassi>, <ore:gearVibrant>]]);


	#Killer Joe
recipes.remove(<enderio:block_killer_joe>);
mods.recipestages.Recipes.addShaped("EIO_killjoe", "Dragon", <enderio:block_killer_joe>, [[<immersiveengineering:material:19>, <immersiveengineering:material:19>, <immersiveengineering:material:19>], [<ore:fusedQuartz>, <ore:skullZombieFrankenstein>, <ore:fusedQuartz>], [<immersiveengineering:material:19>, <actuallyadditions:item_misc:19>, <immersiveengineering:material:19>]]);

	#Wireless Charger
recipes.remove(<enderio:block_wireless_charger>);
mods.recipestages.Recipes.addShaped("EIO_wirelesscharge", "Dragon", <enderio:block_wireless_charger>, [[<ore:plateEnderium>, <mekanism:machineblock:14>, <ore:plateEnderium>], [ESteelPlate, <ore:skullEnderResonator>, ESteelPlate], [<ore:plateEnderium>, <enderio:item_basic_capacitor>, <ore:plateEnderium>]]);
 
	#Farming Station
recipes.remove(<enderio:block_farm_station>);
mods.recipestages.Recipes.addShaped("EIO_farmstation", "Dragon", <enderio:block_farm_station>, [[<ore:itemVibrantCrystal>, <ore:skullZombieController>, <ore:itemVibrantCrystal>], [SoulPlate, <ore:itemSoulMachineChassi>, SoulPlate], [<ore:gearEnergized>, <actuallyadditions:block_farmer>, <ore:gearEnergized>]]);

	#Niard
#recipes.remove(<enderio:block_niard>);
#mods.recipestages.Recipes.addShaped("EIO_niard", "Dragon", <enderio:block_niard>, [[<minecraft:bucket>, <enderio:block_tank>, <minecraft:bucket>], [<actuallyadditions:block_fluid_placer>, <ore:itemMachineChassi>, <actuallyadditions:block_fluid_placer>], [ESteelPlate, <enderio:block_dark_iron_bars>, ESteelPlate]]);
 
	#Exp Vac Chest
recipes.remove(<enderio:block_xp_vacuum>);
mods.recipestages.Recipes.addShaped("EIO_xpvac", "Dragon", <enderio:block_xp_vacuum>, [[<immersiveengineering:material:19>, <immersiveengineering:material:19>, <immersiveengineering:material:19>], [<immersiveengineering:material:19>, <enderio:item_xp_transfer>, <immersiveengineering:material:19>], [<immersiveengineering:material:19>, <ore:itemPulsatingCrystal>, <immersiveengineering:material:19>]]);
 
	#Vac Chest
recipes.remove(<enderio:block_vacuum_chest>);
mods.recipestages.Recipes.addShaped("EIO_chestvac", "Dragon", <enderio:block_vacuum_chest>, [[<immersiveengineering:material:19>, <immersiveengineering:material:19>, <immersiveengineering:material:19>], [<immersiveengineering:material:19>, <ore:chestWood>, <immersiveengineering:material:19>], [<immersiveengineering:material:19>, <ore:itemPulsatingCrystal>, <immersiveengineering:material:19>]]);

	#Travel Anchor
recipes.remove(<enderio:block_travel_anchor>);
mods.recipestages.Recipes.addShaped("EIO_travanch", "Dragon", <enderio:block_travel_anchor>, [[<ore:plateSteel>, <ore:plateEnderium>, <ore:plateSteel>], [<ore:plateEnderium>, <ore:itemPulsatingCrystal>, <ore:plateEnderium>], [<ore:plateSteel>, <ore:plateEnderium>, <ore:plateSteel>]]);

	#Painter
recipes.remove(<enderio:block_painter>);
mods.recipestages.Recipes.addShaped("EIO_painter", "Dragon", <enderio:block_painter>, [[<minecraft:bucket>, <ic2:itempainters:*>, <ore:dye>], [<ore:gearIronInfinity>, <ore:itemMachineChassi>, <ore:gearIronInfinity>], [ESteelPlate, ESteelPlate, ESteelPlate]]);

	#Soul Binder
recipes.remove(<enderio:block_soul_binder>);
mods.recipestages.Recipes.addShaped("EIO_binder", "Dragon", <enderio:block_soul_binder>, [[SoulPlate, <enderio:block_enderman_skull>, SoulPlate], [<minecraft:skull:4>, <ore:itemSoulMachineChassi>, <minecraft:skull:2>], [SoulPlate, <minecraft:skull>, SoulPlate]]);

	#Slice N' Splice
recipes.remove(<enderio:block_slice_and_splice>);
mods.recipestages.Recipes.addShaped("EIO_slicesplice", "Dragon", <enderio:block_slice_and_splice>, [[SoulPlate, <ore:itemSkull>, SoulPlate], [SoulPlate, <ore:itemSoulMachineChassi>, SoulPlate], [<ore:gearEnergized>, <enderio:block_dark_iron_bars>, <ore:gearEnergized>]]);

	#Crafter
recipes.remove(<enderio:block_crafter>);
mods.recipestages.Recipes.addShaped("EIO_crafter", "Dragon", <enderio:block_crafter>, [[<ore:plateAluminum>, <ore:plateAluminum>, <ore:plateAluminum>], [<ore:plateSteel>, <ore:itemMachineChassi>, <ore:plateSteel>], [<ore:gearIronInfinity>, <ore:workbench>, <ore:gearIronInfinity>]]);

	#Tank T1
recipes.remove(<enderio:block_tank>);
mods.recipestages.Recipes.addShaped("EIO_tank", "Dragon", <enderio:block_tank>, [[<ore:plateSteel>, <ore:barsIron>, <ore:plateSteel>], [<ore:barsIron>, <ore:blockGlassHardened>, <ore:barsIron>], [<ore:plateSteel>, <ore:barsIron>, <ore:plateSteel>]]);
	
								#Wireless Inv Chargers
#T1
recipes.remove(<enderio:item_inventory_charger_simple>);
mods.recipestages.Recipes.addShaped("EIO_InvChar1", <enderio:item_inventory_charger_simple>, [[<ore:nuggetDarkSteel>, <ore:ingotConductiveIron>, <ore:nuggetDarkSteel>], [<actuallyadditions:item_battery>, <enderio:item_basic_capacitor>, <actuallyadditions:item_battery>], [<ore:nuggetDarkSteel>, <ore:ingotConductiveIron>, <ore:nuggetDarkSteel>]]);				
				
#T2
recipes.remove(<enderio:item_inventory_charger_basic>);
mods.recipestages.Recipes.addShaped("EIO_InvChar2a", "Dragon", <enderio:item_inventory_charger_basic>, [
[<ore:ingotDarkSteel>, <enderio:item_inventory_charger_simple>, <ore:ingotDarkSteel>], 
[<ore:itemWirelessDish>, <ore:skullEnderResonator>, <ore:itemWirelessDish>], 
[<ore:ingotDarkSteel>, <enderio:item_inventory_charger_simple>, <ore:ingotDarkSteel>]]);

mods.recipestages.Recipes.addShaped("EIO_InvChar2b", "Dragon", <enderio:item_inventory_charger_basic>, [
[<ore:ingotDarkSteel>, <ore:ingotElectricalSteel>, <ore:ingotDarkSteel>], 
[<ore:itemWirelessDish>, <ore:skullEnderResonator>, <ore:itemWirelessDish>], 
[<ore:ingotDarkSteel>, <actuallyadditions:item_battery_double>, <ore:ingotDarkSteel>]]);

#T3
recipes.remove(<enderio:item_inventory_charger>);
mods.recipestages.Recipes.addShaped("EIO_InvChar3a", "Dragon", <enderio:item_inventory_charger>, [
[<ore:ingotDarkSteel>, <enderio:item_inventory_charger_basic>, <ore:ingotDarkSteel>], 
[<ore:itemWirelessDish>, <ore:skullEnderResonator>, <ore:itemWirelessDish>], 
[<ore:ingotDarkSteel>, <enderio:item_inventory_charger_basic>, <ore:ingotDarkSteel>]]);
				
recipes.remove(<enderio:item_inventory_charger>);
mods.recipestages.Recipes.addShaped("EIO_InvChar3b", "Dragon", <enderio:item_inventory_charger>, [
[<ore:ingotDarkSteel>, <ore:ingotElectricalSteel>, <ore:ingotDarkSteel>], 
[<ore:itemWirelessDish>, <ore:skullEnderResonator>, <ore:itemWirelessDish>], 
[<ore:ingotDarkSteel>, <actuallyadditions:item_battery_triple>, <ore:ingotDarkSteel>]]);

#T4
recipes.remove(<enderio:item_inventory_charger_vibrant>);
mods.recipestages.Recipes.addShaped("EIO_InvChar4a", "Dragon", <enderio:item_inventory_charger_vibrant>, [
[<ore:ingotDarkSteel>, <enderio:item_inventory_charger>, <ore:ingotDarkSteel>], 
[<ore:itemWirelessDish>, <ore:skullEnderResonator>, <ore:itemWirelessDish>], 
[<ore:ingotDarkSteel>, <enderio:item_inventory_charger>, <ore:ingotDarkSteel>]]);

mods.recipestages.Recipes.addShaped("EIO_InvChar4b", "Dragon", <enderio:item_inventory_charger_vibrant>, [
[<ore:ingotDarkSteel>, <ore:ingotElectricalSteel>, <ore:ingotDarkSteel>], 
[<ore:itemWirelessDish>, <ore:skullEnderResonator>, <ore:itemWirelessDish>], 
[<ore:ingotDarkSteel>, <actuallyadditions:item_battery_quadruple>, <ore:ingotDarkSteel>]]);		
		
								#Solar
	#T1
recipes.remove(<enderio:block_solar_panel>);
 mods.recipestages.Recipes.addShaped("EIO_solar1", "Dragon", <enderio:block_solar_panel>, [[ESteelPlate, <ore:fusedGlass>, ESteelPlate], [<mekanismgenerators:solarpanel>, <mekanismgenerators:solarpanel>, <mekanismgenerators:solarpanel>], [<ore:dustBedrock>, <ore:gearIronInfinity>, <ore:dustBedrock>]]);
 
	#T2
recipes.remove(<enderio:block_solar_panel:1>);
mods.recipestages.Recipes.addShaped("EIO_solar2", "Dragon", <enderio:block_solar_panel:1>, [[EnergeticPlate, <ore:fusedQuartz>, EnergeticPlate], [null, <enderio:block_solar_panel>, null], [<enderio:item_basic_capacitor>, <ore:plateLumium>, <enderio:item_basic_capacitor>]]);
mods.recipestages.Recipes.addShaped("EIO_solar3", "Dragon", <enderio:block_solar_panel:1>, [[EnergeticPlate, <ore:fusedQuartz>, EnergeticPlate], [<mekanismgenerators:solarpanel>, <mekanismgenerators:solarpanel>, <mekanismgenerators:solarpanel>], [<enderio:item_basic_capacitor>, <ore:plateLumium>, <enderio:item_basic_capacitor>]]);

	#T3
recipes.remove(<enderio:block_solar_panel:2>);
mods.recipestages.Recipes.addShaped("EIO_solar4", "Dragon", <enderio:block_solar_panel:2>, [[PulseIPlate, <ore:enlightenedFusedQuartz>, PulseIPlate], [<mekanismgenerators:solarpanel>, <mekanismgenerators:solarpanel>, <mekanismgenerators:solarpanel>], [<enderio:item_basic_capacitor:1>, <ore:plateLumium>, <enderio:item_basic_capacitor:1>]]);
mods.recipestages.Recipes.addShaped("EIO_solar5", "Dragon", <enderio:block_solar_panel:2>, [[PulseIPlate, <ore:enlightenedFusedQuartz>, PulseIPlate], [EnergeticPlate, <ore:plateLumium>, EnergeticPlate], [<enderio:item_basic_capacitor>, <enderio:block_solar_panel:1>, <enderio:item_basic_capacitor>]]);

	#T4
recipes.remove(<enderio:block_solar_panel:3>);
mods.recipestages.Recipes.addShaped("EIO_solar6", "Dragon", <enderio:block_solar_panel:3>, [[VibrantPlate, <ore:darkFusedQuartz>, VibrantPlate], [VibrantPlate, <ore:plateLumium>, VibrantPlate], [<enderio:item_basic_capacitor:1>, <enderio:block_solar_panel:2>, <enderio:item_basic_capacitor:1>]]);
mods.recipestages.Recipes.addShaped("EIO_solar7", "Dragon", <enderio:block_solar_panel:3>, [[VibrantPlate, <ore:darkFusedQuartz>, VibrantPlate], [<mekanismgenerators:solarpanel>, <mekanismgenerators:solarpanel>, <mekanismgenerators:solarpanel>], [<enderio:item_basic_capacitor:2>, <ore:plateLumium>, <enderio:item_basic_capacitor:2>]]);