#loader crafttweaker

import mods.recipestages.Recipes;
import crafttweaker.oredict.IOreDictEntry;
import crafttweaker.item.IItemStack;
import crafttweaker.data.IData;


val IntricateChip = <forestry:chipsets:3>.withTag({T: 3 as short});
val Pyro = <forge:bucketfilled>.withTag({FluidName: "pyrotheum", Amount: 1000});
val Cryo = <forge:bucketfilled>.withTag({FluidName: "cryotheum", Amount: 1000});
val Aqua = <mekanism:machineblock2:11>.withTag({tier: 3, mekData: {fluidTank: {FluidName: "water", Amount: 112000}}});
val Sun = <forge:bucketfilled>.withTag({FluidName: "liquid_sunshine", Amount: 1000});
val Grafter = <gendustry:industrial_grafter:100>.withTag({charge: 0});
val Scoop = <gendustry:industrial_scoop:100>.withTag({charge: 0});
val Magma = <mekanism:machineblock2:11>.withTag({tier: 3, mekData: {fluidTank: {FluidName: "lava", Amount: 112000}}});
val ETank = <mekanism:machineblock2:11>.withTag({tier: 3});

#mods.recipestages.Recipes.addShaped("Dragon", 
#"Gen_Gen", 


mods.recipestages.Recipes.setRecipeStage("Dragon", <gendustry:pollen_kit>);
mods.recipestages.Recipes.setRecipeStage("Dragon", <gendustry:replicator>);
mods.recipestages.Recipes.setRecipeStage("Dragon", <gendustry:imprinter>);
mods.recipestages.Recipes.setRecipeStage("Dragon", <gendustry:apiary.upgrade:15>);
mods.recipestages.Recipes.setRecipeStage("Dragon", <gendustry:apiary.upgrade:16>);
mods.recipestages.Recipes.setRecipeStage("Dragon", <gendustry:apiary.upgrade:17>);
mods.recipestages.Recipes.setRecipeStage("Dragon", <gendustry:apiary.upgrade:18>);
mods.recipestages.Recipes.setRecipeStage("Dragon", <gendustry:apiary.upgrade:22>);


#Recipe Removals
recipes.removeByRecipeName("gendustry:recipe15");
recipes.removeByRecipeName("gendustry:recipe14");
recipes.removeByRecipeName("gendustry:recipe16");
recipes.removeByRecipeName("gendustry:recipe22");
recipes.removeByRecipeName("gendustry:recipe17");
recipes.removeByRecipeName("gendustry:recipe26");
recipes.removeByRecipeName("gendustry:recipe25");
recipes.removeByRecipeName("gendustry:recipe23");
recipes.removeByRecipeName("gendustry:recipe19");
recipes.removeByRecipeName("gendustry:recipe12");
recipes.removeByRecipeName("gendustry:recipe9");
recipes.removeByRecipeName("gendustry:recipe1");
recipes.removeByRecipeName("gendustry:recipe2");
recipes.removeByRecipeName("gendustry:recipe13");
recipes.removeByRecipeName("gendustry:recipe5");
recipes.removeByRecipeName("gendustry:recipe6");
recipes.removeByRecipeName("gendustry:recipe10");
recipes.removeByRecipeName("gendustry:recipe11");
recipes.removeByRecipeName("gendustry:recipe7");
recipes.removeByRecipeName("gendustry:recipe8");
recipes.removeByRecipeName("gendustry:recipe34");
recipes.removeByRecipeName("gendustry:recipe35");
recipes.removeByRecipeName("gendustry:recipe28");
recipes.removeByRecipeName("gendustry:recipe36");
recipes.removeByRecipeName("gendustry:recipe38");
recipes.removeByRecipeName("gendustry:recipe39");
recipes.removeByRecipeName("gendustry:recipe40");
recipes.removeByRecipeName("gendustry:recipe41");
recipes.removeByRecipeName("gendustry:recipe32");
recipes.removeByRecipeName("gendustry:recipe29");
recipes.removeByRecipeName("gendustry:recipe27");
recipes.removeByRecipeName("gendustry:recipe42");
recipes.removeByRecipeName("gendustry:recipe37");
recipes.removeByRecipeName("gendustry:recipe46");
recipes.removeByRecipeName("gendustry:recipe47");
recipes.removeByRecipeName("gendustry:recipe18");
recipes.removeByRecipeName("gendustry:recipe21");
recipes.removeByRecipeName("gendustry:recipe33");


#Genetic Processor
mods.recipestages.Recipes.addShaped("Gen_GenProc", "Dragon",  <gendustry:genetics_processor>, [[<custom_additions:vibranomonic_tube>, <ore:circuitElite>, <custom_additions:vibranomonic_tube>], [IntricateChip, <immersiveengineering:material:27>, IntricateChip], [<custom_additions:endothermionic_tube>, <ore:circuitElite>, <custom_additions:endothermionic_tube>]]);

#Enviormental Processor
mods.recipestages.Recipes.addShaped("Gen_Envipro", "Dragon",  <gendustry:env_processor>, [[<custom_additions:alchemicomonic_tube>, <ore:circuitUltimate>, <custom_additions:alchemicomonic_tube>], [IntricateChip, <immersiveengineering:material:27>, IntricateChip], [<custom_additions:electrothermonic_tube>, <ore:circuitUltimate>, <custom_additions:electrothermonic_tube>]]);

	#Modules
#Climate Control
mods.recipestages.Recipes.addShaped("Gen_climmod", "Dragon",  <gendustry:climate_module>, [[<ore:plateBronze>, <custom_additions:redstomonic_tube>, <ore:plateBronze>], [Cryo, <ore:gearBronze>, Pyro], [<ore:plateBronze>, <custom_additions:redstomonic_tube>, <ore:plateBronze>]]);

#Power
mods.recipestages.Recipes.addShaped("Gen_powermod", "Dragon",  <gendustry:power_module>, [
[<ore:gearBronze>, <custom_additions:energetic_alloy_plate>, <ore:gearBronze>], 
[<custom_additions:vibranomonic_tube>, <enderio:item_basic_capacitor:2>, <custom_additions:vibranomonic_tube>], 
[<ore:gearBronze>, <custom_additions:energetic_alloy_plate>, <ore:gearBronze>]]);

#Bee Receptacle
mods.recipestages.Recipes.addShaped("Gen_beerecep", "Dragon",  <gendustry:bee_receptacle>, [
[<ore:plateBronze>, <ore:plateBronze>, <ore:plateBronze>], 
[<ore:plateBronze>, <thermalfoundation:glass_alloy:7>, <ore:plateBronze>], 
[<custom_additions:redstomonic_tube>, <custom_additions:refined_obsidian_plate>, <custom_additions:redstomonic_tube>]]);

#Upgrade Frame
mods.recipestages.Recipes.addShaped("Gen_upframe", "Dragon",  <gendustry:upgrade_frame>, [
[<custom_additions:electric_steel_plate>, <ore:plateGold>, <custom_additions:electric_steel_plate>], 
[<ore:circuitBasic>, null, <ore:circuitBasic>], 
[<custom_additions:electric_steel_plate>, <ore:plateGold>, <custom_additions:electric_steel_plate>]]);

	#Covers
#Eject
mods.recipestages.Recipes.addShaped("Gen_ejectcov", "Dragon",  <gendustry:eject_cover>, [
[null, <ore:gearBronze>, null], 
[null, <minecraft:piston:*>, null], 
[<ore:plateBronze>, null, <ore:plateBronze>]]);

#import
mods.recipestages.Recipes.addShaped("Gen_importcov", "Dragon",  <gendustry:import_cover>, [[<ore:plateBronze>, null, <ore:plateBronze>], [null, <minecraft:piston:*>, null], [null, <ore:gearBronze>, null]]);

#Error
mods.recipestages.Recipes.addShaped("Gen_sensorcov", "Dragon",  <gendustry:error_sensor_cover>, [[<ore:plateBronze>, <minecraft:redstone:*>, <ore:plateBronze>], [<minecraft:redstone:*>, <minecraft:quartz:*>, <minecraft:redstone:*>], [<ore:plateBronze>, <minecraft:redstone:*>, <ore:plateBronze>]]);

	#Enviormentrment Upgrades & Upgrades
#Hell

mods.recipestages.Recipes.addShaped("Gen_Hell", "Dragon",  <gendustry:apiary.upgrade:13>, [[<ore:gearBronze>, <gendustry:climate_module:*>, <ore:gearBronze>], [Pyro, <gendustry:upgrade_frame>, Pyro], [<ore:gearBronze>, <gendustry:env_processor:*>, <ore:gearBronze>]]);

#Winter
mods.recipestages.Recipes.addShaped("Gen_Winter", "Dragon",  <gendustry:apiary.upgrade:20>, [[<ore:gearBronze>, <gendustry:climate_module:*>, <ore:gearBronze>], [Cryo, <gendustry:upgrade_frame>, Cryo], [<ore:gearBronze>, <gendustry:env_processor:*>, <ore:gearBronze>]]);

#Ocean

mods.recipestages.Recipes.addShaped("Gen_Ocean", "Dragon",  <gendustry:apiary.upgrade:21>, [[<ore:gearBronze>, <gendustry:climate_module:*>, <ore:gearBronze>], [Aqua, <gendustry:upgrade_frame>, Aqua], [<ore:gearBronze>, <gendustry:env_processor:*>, <ore:gearBronze>]]);

#Pollination

mods.recipestages.Recipes.addShaped("Gen_Pollen", "Dragon",  <gendustry:apiary.upgrade:2>, [[<ore:dyeRed>, <ore:dyeBlue>, <ore:dyeGreen>], [<ore:dyeYellow>, <gendustry:upgrade_frame>, <ore:dyeYellow>], [<ore:fusedQuartz>, <ore:fusedQuartz>, <ore:fusedQuartz>]]);

#Automation

mods.recipestages.Recipes.addShaped("Gen_Automate", "Dragon",  <gendustry:apiary.upgrade:14>, [[null, <ore:gearBronze>, null], [<custom_additions:electrothermonic_tube>, <gendustry:upgrade_frame>, <custom_additions:electrothermonic_tube>], [null, <ic2:inventoryupgrades>, null]]);

#LifeSpan

mods.recipestages.Recipes.addShaped("Gen_Lifespan", "Dragon",  <gendustry:apiary.upgrade:1>, [[<ore:dropRoyalJelly>, <ore:fusedQuartz>, <ore:dropRoyalJelly>], [<ore:fusedQuartz>, <gendustry:upgrade_frame>, <ore:fusedQuartz>], [null, <projecte:item.pe_life_stone>, null]]);

#Sealer

mods.recipestages.Recipes.addShaped("Gen_Sealer", "Dragon",  <gendustry:apiary.upgrade:10>, [
[<forestry:beeswax:*>, <ore:fusedQuartz>, <forestry:beeswax:*>], 
[<ore:fusedQuartz>, <gendustry:upgrade_frame>, <ore:fusedQuartz>], 
[<forestry:beeswax:*>, <ore:fusedQuartz>, <forestry:beeswax:*>]]);

#Genetic Stablizer

mods.recipestages.Recipes.addShaped("Gen_genstable", "Dragon",  <gendustry:apiary.upgrade:19>, [[null, <gendustry:genetics_processor:*>, null], [<custom_additions:pulsating_iron_plate>, <gendustry:upgrade_frame>, <custom_additions:pulsating_iron_plate>], [<ore:dropRoyalJelly>, <custom_additions:pulsating_iron_plate>, <ore:dropRoyalJelly>]]);

#Territory

mods.recipestages.Recipes.addShaped("Gen_territory", "Dragon",  <gendustry:apiary.upgrade:3>, [[<custom_additions:electric_steel_plate>, <actuallyadditions:item_laser_upgrade_range>, <custom_additions:electric_steel_plate>], [<actuallyadditions:item_laser_upgrade_range>, <gendustry:upgrade_frame>, <actuallyadditions:item_laser_upgrade_range>], [<custom_additions:electric_steel_plate>, <actuallyadditions:item_laser_upgrade_range>, <custom_additions:electric_steel_plate>]]);

#Open Sky

mods.recipestages.Recipes.addShaped("Gen_sky", "Dragon",  <gendustry:apiary.upgrade:12>, [[Sun, Sun, Sun], [<ore:fusedQuartz>, <gendustry:upgrade_frame>, <ore:fusedQuartz>], [<mekanism:basicblock:4>, <mekanism:basicblock:4>, <mekanism:basicblock:4>]]);

#Light
mods.recipestages.Recipes.addShaped("Gen_Light", "Dragon", <gendustry:apiary.upgrade:11>, [[Sun, <mekanism:basicblock:4>, Sun], [<mekanism:basicblock:4>, <gendustry:upgrade_frame:*>, <mekanism:basicblock:4>], [Sun, <mekanism:basicblock:4>, Sun]]);

#Production

mods.recipestages.Recipes.addShaped("Gen_production", "Dragon",  <gendustry:apiary.upgrade>, [[<ore:plateBronze>, <forestry:royal_jelly:*>, <ore:plateBronze>], [<mekanism:speedupgrade>, <gendustry:upgrade_frame>, <mekanism:speedupgrade>], [<ore:plateBronze>, <ore:gearBronze>, <ore:plateBronze>]]);

#Heaters and Cooler Upgrades

mods.recipestages.Recipes.addShaped("Gen_heat1", "Dragon",  <gendustry:apiary.upgrade:4>, [[Aqua, Aqua, Aqua], [<ore:plateBronze>, <gendustry:upgrade_frame>, <ore:plateBronze>], [<ore:plateBronze>, <ore:fusedQuartz>, <ore:plateBronze>]]);


mods.recipestages.Recipes.addShaped("Gen_heat2", "Dragon",  <gendustry:apiary.upgrade:5>, [[Magma, Magma, Magma], [<ore:plateBronze>, <gendustry:upgrade_frame>, <ore:plateBronze>], [<ore:plateBronze>, <ore:fusedQuartz>, <ore:plateBronze>]]);


mods.recipestages.Recipes.addShaped("Gen_Cool1", "Dragon",  <gendustry:apiary.upgrade:6>, [[Pyro, Pyro, Pyro], [<ore:plateBronze>, <gendustry:upgrade_frame>, <ore:plateBronze>], [<ore:plateBronze>, <ore:fusedQuartz>, <ore:plateBronze>]]);


mods.recipestages.Recipes.addShaped("Gen_Cool2", "Dragon",  <gendustry:apiary.upgrade:7>, [[Cryo, Cryo, Cryo], [<ore:plateBronze>, <gendustry:upgrade_frame>, <ore:plateBronze>], [<ore:plateBronze>, <ore:fusedQuartz>, <ore:plateBronze>]]);

			#Ect Items
#DNA container

mods.recipestages.Recipes.addShaped("Gen_dnacont", "Dragon",  <gendustry:gene_sample_blank>, [[null, <custom_additions:soularium_plate>, null], [<custom_additions:soularium_plate>, <ore:fusedQuartz>, <custom_additions:soularium_plate>], [null, <custom_additions:soularium_plate>, null]]);

#Mutagen Tank

mods.recipestages.Recipes.addShaped("Gen_mutatank", "Dragon",  <gendustry:mutagen_tank>, [[<custom_additions:dark_steel_plate>, <ore:fusedQuartz>, <custom_additions:dark_steel_plate>], [<custom_additions:dark_steel_plate>, <ore:fusedQuartz>, <custom_additions:dark_steel_plate>], [<custom_additions:dark_steel_plate>, <ore:fusedQuartz>, <custom_additions:dark_steel_plate>]]);

#Genetic Labwear

mods.recipestages.Recipes.addShaped("Gen_labwear", "Dragon",  <gendustry:labware> * 16, [[<ore:fusedQuartz>, null, <ore:fusedQuartz>], [<ore:fusedQuartz>, null, <ore:fusedQuartz>], [null, <custom_additions:dark_steel_plate>, null]]);

#Grafter Powered

mods.recipestages.Recipes.addShaped("Gen_powgraft", "Dragon",  Grafter, [[null, <custom_additions:pulsating_iron_plate>, <custom_additions:pulsating_iron_plate>], [null, <forestry:grafter:*>, <custom_additions:pulsating_iron_plate>], [<gendustry:power_module>, null, null]]);

#Scooper Powered

mods.recipestages.Recipes.addShaped("Gen_powscoop", "Dragon",  Scoop, [[null, null, <forestry:scoop:*>], [null, <custom_additions:pulsating_iron_plate>, null], [<gendustry:power_module>, null, null]]);


		#Machines
		
#DNA Template

mods.recipestages.Recipes.addShaped("Gen_dnatemp", "Dragon",  <gendustry:gene_template>, [[<redstonearsenal:material:160>, <custom_additions:soularium_plate>, <redstonearsenal:material:160>], [<custom_additions:soularium_plate>, <gendustry:gene_sample_blank>, <custom_additions:soularium_plate>], [<redstonearsenal:material:160>, <custom_additions:soularium_plate>, <redstonearsenal:material:160>]]);		
		
#Mutagen Producer

mods.recipestages.Recipes.addShaped("Gen_mutprod", "Dragon",  <gendustry:mutagen_producer>, [[<custom_additions:energetic_alloy_plate>, <ic2:ic2upgrades:5>, <custom_additions:energetic_alloy_plate>], [<gendustry:power_module>, <forestry:sturdy_machine>, <gendustry:power_module>], [ETank, <gendustry:mutagen_tank>, <thermalexpansion:machine:6>]]);

#Mutatron

mods.recipestages.Recipes.addShaped("Gen_mutatron", "Dragon",  <gendustry:mutatron>, [[<gendustry:bee_receptacle>, <gendustry:genetics_processor>, <custom_additions:energetic_alloy_plate>], [<gendustry:power_module>, <forestry:sturdy_machine>, <gendustry:bee_receptacle>], [<gendustry:bee_receptacle>, <gendustry:mutagen_tank>, <custom_additions:energetic_alloy_plate>]]);

#Industrial Apiary

mods.recipestages.Recipes.addShaped("Gen_indusapiary", "Dragon",  <gendustry:industrial_apiary>, [[<ore:fusedQuartz>, <gendustry:bee_receptacle>, <ore:fusedQuartz>], [<ore:fusedQuartz>, <forestry:sturdy_machine>, <ore:fusedQuartz>], [<ore:gearBronze>, <forestry:apiary>, <ore:gearBronze>]]);

#Advanced Industrial Mutatron

mods.recipestages.Recipes.addShaped("Gen_indusMutatron", "Dragon",  <gendustry:mutatron_advanced>, [[<ore:gearBronze>, <custom_additions:obsidomonic_tube>, <ore:gearBronze>], [<gendustry:genetics_processor>, <gendustry:mutatron>, <gendustry:genetics_processor>], [<ore:gearBronze>, <gendustry:power_module>, <ore:gearBronze>]]);

#Genetic Sampler

mods.recipestages.Recipes.addShaped("Gen_sampler", "Dragon",  <gendustry:sampler>, [[<ore:gearBronze>, <gendustry:genetics_processor>, <ore:gearBronze>], [<gendustry:bee_receptacle>, <forestry:sturdy_machine>, <custom_additions:obsidomonic_tube>], [<ore:gearBronze>, <gendustry:power_module>, <ore:gearBronze>]]);

#Protien Liquidfier

mods.recipestages.Recipes.addShaped("Gen_liquifier", "Dragon",  <gendustry:liquifier>, [[<ore:gearBronze>, <custom_additions:endothermionic_tube>, <ore:gearBronze>], [<thermalexpansion:machine:6>, <forestry:sturdy_machine>, <thermalexpansion:machine:6>], [<ore:gearBronze>, <gendustry:power_module>, <ore:gearBronze>]]);

#Genetic Extractor

mods.recipestages.Recipes.addShaped("Gen_extractor", "Dragon",  <gendustry:extractor>, [[<ore:gearBronze>, <ic2:ic2upgrades:5>, <ore:gearBronze>], [<gendustry:genetics_processor>, <forestry:sturdy_machine>, <gendustry:genetics_processor>], [<ore:gearBronze>, <gendustry:power_module>, <ore:gearBronze>]]);

#Genetic Transposer

mods.recipestages.Recipes.addShaped("Gen_gentransposer", "Dragon",  <gendustry:transposer>, [[<ore:gearBronze>, <thermalexpansion:machine:8>, <ore:gearBronze>], [<gendustry:genetics_processor>, <forestry:sturdy_machine>, <gendustry:genetics_processor>], [<ore:gearBronze>, <gendustry:power_module>, <ore:gearBronze>]]);