#loader crafttweaker

import crafttweaker.oredict.IOreDict;
import crafttweaker.oredict.IOreDictEntry;
import mods.inworldcrafting.FluidToItem;
import crafttweaker.item.IIngredient;

val steelclump = <icbmclassic:clump>;
val copper = <thermalfoundation:material:128>;
val gold = <minecraft:gold_ingot>;
val cwire = <icbmclassic:wire>;
val gwire = <icbmclassic:wire:1>;

recipes.remove(steelclump);
recipes.remove(cwire);
recipes.remove(gwire);
recipes.remove(<icbmclassic:explosives:23>);
recipes.remove(<icbmclassic:explosives:22>);
recipes.remove(<icbmclassic:poisonpowder>);
recipes.remove(<icbmclassic:launcherbase>);
recipes.remove(<icbmclassic:launcherbase:1>);
recipes.remove(<icbmclassic:launcherbase:2>);
recipes.remove(<icbmclassic:launcherscreen>);
recipes.remove(<icbmclassic:launcherscreen:1>);
recipes.remove(<icbmclassic:launcherscreen:2>);
recipes.remove(<icbmclassic:radargun>);

#inworld crafting cuz your to lazy to rightclick
	#Posion powder
mods.inworldcrafting.FluidToItem.transform(<icbmclassic:poisonpowder>, <liquid:biomass>,[<minecraft:nether_wart>,<ore:slimeball>, <minecraft:rotten_flesh>, <minecraft:fermented_spider_eye>]);
	#Crafting Table
mods.inworldcrafting.FluidToItem.transform(<minecraft:crafting_table>, <liquid:water>,[<ore:logWood>]);
	#Tinkers Table
mods.inworldcrafting.FluidToItem.transform(<tconstruct:tooltables>, <liquid:water>,[<minecraft:crafting_table>]);

mods.inworldcrafting.FluidToItem.transform(<projecte:item.pe_tome>, <liquid:mana>, [<thaumictinkerer:share_book>,<projecte:item.pe_klein_star:5>.withTag({StoredEMC: 51200000 as long})*4,<thaumcraft:primordial_pearl>,<projecte:matter_block:1>*64]);

 


#Wires
mods.recipestages.Recipes.addShaped("Goldwire","Dragon", gwire*9,
  [[gold,<ore:plankWood>,gold],
   [gold,<minecraft:stick>,gold],
   [gold,<ore:plankWood>,gold]]);
mods.recipestages.Recipes.addShaped("Copperwire","Dragon", cwire*9,
  [[copper,<ore:plankWood>,copper],
   [copper,<minecraft:stick>,copper],
   [copper,<ore:plankWood>,copper]]);
   
   #Radar Gun
mods.recipestages.Recipes.addShaped("RGun","Dragon", <icbmclassic:radargun>,
  [[null,null,null],
   [<mekanismgenerators:reactorglass:1>,<powersuits:powerarmorcomponent:15>,<extrautils2:screen>],
   [null,null,<immersiveengineering:material:1>]]);
   
   #Launcher Platforms
mods.recipestages.Recipes.addShaped("LP1","Dragon", <icbmclassic:launcherbase>,
  [[<ic2:itemmisc:259>,<ore:circuitBasic>,<ic2:itemmisc:259>],
   [<ic2:itemmisc:259>,<icbmclassic:launcherscreen>,<ic2:itemmisc:259>],
   [<custom_additions:enderium_plate>,<icbmclassic:radargun>,<custom_additions:enderium_plate>]]);
   
mods.recipestages.Recipes.addShaped("LP2","Dragon", <icbmclassic:launcherbase:1>,
  [[<custom_additions:dark_steel_plate>,<ore:circuitAdvanced>,<custom_additions:dark_steel_plate>],
   [<custom_additions:dark_steel_plate>,<icbmclassic:launcherscreen:1>,<custom_additions:dark_steel_plate>],
   [<custom_additions:dark_matter_plate>,<icbmclassic:launcherbase:1>,<custom_additions:dark_matter_plate>]]);
   
mods.recipestages.Recipes.addShaped("LP3","Dragon", <icbmclassic:launcherbase:2>,
  [[<custom_additions:iron_alloy_plate>,<ore:circuitElite>,<custom_additions:iron_alloy_plate>],
   [<custom_additions:iron_alloy_plate>,<icbmclassic:launcherscreen:2>,<custom_additions:iron_alloy_plate>],
   [<custom_additions:red_matter_plate>,<icbmclassic:launcherbase:1>,<custom_additions:red_matter_plate>]]);
   
   #Launcher Control Panels
mods.recipestages.Recipes.addShaped("LCP1","Dragon", <icbmclassic:launcherscreen>,
  [[<mekanismgenerators:reactorglass:1>,<ore:circuitBasic>,<mekanismgenerators:reactorglass:1>],
   [<forestry:thermionic_tubes:9>,<mekanism:glowpanel:2>,<forestry:thermionic_tubes:9>],
   [<custom_additions:refined_obsidian_plate>,<custom_additions:refined_obsidian_plate>,<custom_additions:refined_obsidian_plate>]]);
   
mods.recipestages.Recipes.addShaped("LCP2","Dragon", <icbmclassic:launcherscreen:1>,
  [[<mekanismgenerators:reactorglass:1>,<ore:circuitAdvanced>,<mekanismgenerators:reactorglass:1>],
   [<custom_additions:redstomonic_tube>,<mekanism:glowpanel:1>,<custom_additions:redstomonic_tube>],
   [<custom_additions:refined_obsidian_plate>,<icbmclassic:launcherscreen>,<custom_additions:refined_obsidian_plate>]]);
   
mods.recipestages.Recipes.addShaped("LCP3","Dragon", <icbmclassic:launcherscreen:2>,
  [[<mekanismgenerators:reactorglass:1>,<ore:circuitElite>,<mekanismgenerators:reactorglass:1>],
   [<forestry:thermionic_tubes:12>,<mekanism:glowpanel:4>,<forestry:thermionic_tubes:12>],
   [<custom_additions:refined_obsidian_plate>,<icbmclassic:launcherscreen:1>,<custom_additions:refined_obsidian_plate>]]);