import mods.astralsorcery.Altar;		
import mods.recipestages.Recipes;
import mods.ItemStages;		
		
val yellowp = <ore:plateYellorium>;
val uranp = <ore:plateUranium>;
val tank3 = <mekanism:machineblock2:11>.withTag({tier: 2});
val intricircuit = <forestry:chipsets:3>.withTag({T: 3 as short});
val toughrod = <tconstruct:tough_tool_rod>.withTag({Material: "steel"});
#"ER_", 

mods.recipestages.Recipes.setRecipeStage("Dragon",<bigreactors:wrench>);
mods.recipestages.Recipes.setRecipeStage("Dragon",<bigreactors:ingotludicrite>);
mods.recipestages.Recipes.setRecipeStage("Dragon",<bigreactors:blockludicrite>);
mods.recipestages.Recipes.setRecipeStage("Dragon",<bigreactors:reactorcomputerport>);
mods.recipestages.Recipes.setRecipeStage("Dragon",<bigreactors:blockcyanite>);
mods.recipestages.Recipes.setRecipeStage("Dragon",<bigreactors:turbinecomputerport>);
mods.recipestages.Recipes.setRecipeStage("Dragon",<bigreactors:blocksteel>);
mods.recipestages.Recipes.setRecipeStage("Dragon",<bigreactors:blockblutonium>);
mods.recipestages.Recipes.setRecipeStage("Dragon",<bigreactors:blockyellorium>);



											#Reactor

#Case Core
recipes.remove(<bigreactors:reactorcasingcores>);
mods.recipestages.Recipes.addShaped("ER_RCoreP", "Dragon", <bigreactors:reactorcasingcores>, [
[<immersiveengineering:material:2>, <custom_additions:graphite_plate>, <immersiveengineering:material:2>], 
[<thermalfoundation:material:515>, <ore:plateSignalum>, <thermalfoundation:material:515>], 
[<immersiveengineering:material:2>, <custom_additions:graphite_plate>, <immersiveengineering:material:2>]]);

#Casing Block
recipes.remove(<bigreactors:reactorcasing>);
mods.recipestages.Recipes.addShaped("ER_RCore", "Dragon", <bigreactors:reactorcasing> * 4, [
[<ore:plateSteel>, <custom_additions:graphite_plate>, <ore:plateSteel>], 
[<custom_additions:graphite_plate>, <bigreactors:reactorcasingcores>, <custom_additions:graphite_plate>], 
[<ore:plateSteel>, <custom_additions:graphite_plate>, <ore:plateSteel>]]);

#Controller
recipes.remove(<bigreactors:reactorcontroller>);
mods.recipestages.Recipes.addShaped("ER_RController", "Dragon", <bigreactors:reactorcontroller>, [
[<bigreactors:reactorcasing>, <immersiveengineering:material:27>, <bigreactors:reactorcasing>], 
[<ore:plateUranium> | <ore:plateYellorium>, <rftools:screen>, <ore:plateUranium> | <ore:plateYellorium>], 
[<bigreactors:reactorcasing>, <ore:circuitBasic>, <bigreactors:reactorcasing>]]);

#Redstone Port
recipes.remove(<bigreactors:reactorredstoneport>);
mods.recipestages.Recipes.addShaped("ER_RedstPort", "Dragon", <bigreactors:reactorredstoneport>, [
[<bigreactors:reactorcasing>, <thermalfoundation:material:515>, <bigreactors:reactorcasing>], 
[<thermalfoundation:material:514>, <immersiveengineering:metal_decoration0:3>, <thermalfoundation:material:514>], 
[<bigreactors:reactorcasing>, <ore:circuitAdvanced>, <bigreactors:reactorcasing>]]);

#Flux Port
recipes.remove(<bigreactors:reactorpowertaprf>);
mods.recipestages.Recipes.addShaped("ER_RrfT", "Dragon", <bigreactors:reactorpowertaprf>, [
[<bigreactors:reactorcasing>, <thermalfoundation:material:515>, <bigreactors:reactorcasing>], 
[<thermalfoundation:material:513>, <immersiveengineering:metal_decoration0:5>, <thermalfoundation:material:514>], 
[<bigreactors:reactorcasing>, <thermalfoundation:material:515>, <bigreactors:reactorcasing>]]);

#Control Rod
recipes.remove(<bigreactors:reactorcontrolrod>);
mods.recipestages.Recipes.addShaped("ER_RConRod", "Dragon", <bigreactors:reactorcontrolrod>, [
[<bigreactors:reactorcasing>, <mekanism:controlcircuit:1>, <bigreactors:reactorcasing>], 
[<custom_additions:graphite_plate>, <powersuits:powerarmorcomponent:15>, <custom_additions:graphite_plate>], 
[<bigreactors:reactorcasing>, <ore:plateUranium> | <ore:plateYellorium>, <bigreactors:reactorcasing>]]);

#Reactor Glass
recipes.remove(<bigreactors:reactorglass>);
mods.recipestages.Recipes.addShaped("ER_RGlass", "Dragon", <bigreactors:reactorglass>, [[<ore:blockGlassHardened>, <bigreactors:reactorcasing>, <ore:blockGlassHardened>]]);

#Import Port
recipes.remove(<bigreactors:reactoraccessport>);
mods.recipestages.Recipes.addShaped("ER_Rimportport", "Dragon", <bigreactors:reactoraccessport>, [
[<bigreactors:reactorcasing>, <ic2:ic2upgrades:5>, <bigreactors:reactorcasing>], 
[<immersiveengineering:material:9>, <ore:chestWood>, <immersiveengineering:material:9>], 
[<bigreactors:reactorcasing>, <immersiveengineering:metal_decoration0:5>, <bigreactors:reactorcasing>]]);

#Coolant Port
recipes.remove(<bigreactors:reactorcoolantport>);
mods.recipestages.Recipes.addShaped("ER_Rcoolport", "Dragon", <bigreactors:reactorcoolantport>, [[<bigreactors:reactorcasing>, <ic2:ic2upgrades:21>, <bigreactors:reactorcasing>], [<ore:plateSteel>, tank3, <ore:plateSteel>], [<bigreactors:reactorcasing>, <immersiveengineering:metal_decoration0:5>, <bigreactors:reactorcasing>]]);

#Reactor Rod
recipes.remove(<bigreactors:reactorfuelrod>);
mods.recipestages.Recipes.addShaped("ER_RRod", "Dragon", <bigreactors:reactorfuelrod>, [
[<ore:plateSteel>, <custom_additions:graphite_plate>, <ore:plateSteel>], 
[<ore:blockGlassHardened>, <custom_additions:yellorium_rod>, <ore:blockGlassHardened>], 
[<ore:plateSteel>, <custom_additions:graphite_plate>, <ore:plateSteel>]]);

mods.recipestages.Recipes.addShaped("ER_RRod2", "Dragon", <bigreactors:reactorfuelrod> * 2, [
[<ore:plateSteel>, <custom_additions:graphite_plate>, <ore:plateSteel>], 
[<ore:blockGlassHardened>, <custom_additions:dual_yellorium_rod>, <ore:blockGlassHardened>], 
[<ore:plateSteel>, <custom_additions:graphite_plate>, <ore:plateSteel>]]);

mods.recipestages.Recipes.addShaped("ER_RRod3", "Dragon", <bigreactors:reactorfuelrod> * 4, [
[<ore:plateSteel>, <custom_additions:graphite_plate>, <ore:plateSteel>], 
[<ore:blockGlassHardened>, <custom_additions:yellorium_quad_rod>, <ore:blockGlassHardened>], 
[<ore:plateSteel>, <custom_additions:graphite_plate>, <ore:plateSteel>]]);

											#Turbine

#Core Part
recipes.remove(<bigreactors:turbinehousingcores>);
mods.recipestages.Recipes.addShaped("ER_TCoreP", "Dragon", <bigreactors:turbinehousingcores> * 2, [
[<ore:plateSteel>, <custom_additions:graphite_plate>, <ore:plateSteel>], 
[<ore:plateGold>, <mekanism:controlcircuit:3>, <ore:plateGold>], 
[<ore:plateSteel>, <custom_additions:graphite_plate>, <ore:plateSteel>]]);

#Core Block
recipes.remove(<bigreactors:turbinehousing>);
mods.recipestages.Recipes.addShaped("ER_Tcase", "Dragon", <bigreactors:turbinehousing> * 4, [
[<ore:plateSteel>, <ore:ingotGraphite>, <ore:plateSteel>], 
[<custom_additions:graphite_plate>, <bigreactors:turbinehousingcores>, <custom_additions:graphite_plate>], 
[<ore:plateSteel>, <ore:ingotGraphite>, <ore:plateSteel>]]);

#Controller
recipes.remove(<bigreactors:turbinecontroller>);
mods.recipestages.Recipes.addShaped("ER_TController", "Dragon", <bigreactors:turbinecontroller>, [
[<bigreactors:turbinehousing>, <immersiveengineering:material:27>, <bigreactors:turbinehousing>], 
[<ic2c_extras:plutoniumrtg>, <powersuits:powerarmorcomponent:15>, <ic2c_extras:plutoniumrtg>], 
[<bigreactors:turbinehousing>, <ore:circuitUltimate>, <bigreactors:turbinehousing>]]);

#fluid port
recipes.remove(<bigreactors:turbinefluidport>);
mods.recipestages.Recipes.addShaped("ER_TFluidp", "Dragon", <bigreactors:turbinefluidport>, [
[<bigreactors:turbinehousing>, <ic2:ic2upgrades:21>, <bigreactors:turbinehousing>], 
[<ore:plateSteel>, tank3, <ore:plateSteel>], 
[<bigreactors:turbinehousing>, <immersiveengineering:metal_decoration0:5>, <bigreactors:turbinehousing>]]);

#Flux Port
recipes.remove(<bigreactors:turbinepowertaprf>);
mods.recipestages.Recipes.addShaped("ER_TrfP", "Dragon", <bigreactors:turbinepowertaprf>, [
[<bigreactors:turbinehousing>, <thermalfoundation:material:515>, <bigreactors:turbinehousing>], 
[<thermalfoundation:material:513>, <immersiveengineering:metal_decoration0:5>, <thermalfoundation:material:514>], 
[<bigreactors:turbinehousing>, <thermalfoundation:material:515>, <bigreactors:turbinehousing>]]);

#Glass
recipes.remove(<bigreactors:turbineglass>);
mods.recipestages.Recipes.addShaped("ER_TGlass", "Dragon", <bigreactors:turbineglass>, [[<ore:enlightenedFusedGlass>, <bigreactors:turbinehousing>, <ore:enlightenedFusedGlass>]]);

#Turbine Core 
recipes.remove(<bigreactors:turbinerotorshaft>);
mods.recipestages.Recipes.addShaped("ER_Troatshaft", "Dragon", <bigreactors:turbinerotorshaft>, [
[null, toughrod, null], 
[toughrod, <mekanismgenerators:generator:7>, toughrod], 
[null, toughrod, null]]);

#Turbine Blade
recipes.remove(<bigreactors:turbinerotorblade>);
mods.recipestages.Recipes.addShaped("ER_Troatblade", "Dragon", <bigreactors:turbinerotorblade>, [
[null, null, null], 
[<bigreactors:ingotblutonium>, toughrod, toughrod], 
[null, null, null]]);

#Reactor Turbine Turner
recipes.remove(<bigreactors:turbinebearing>);
mods.recipestages.Recipes.addShaped("ER_Tbladeturn", "Dragon", <bigreactors:turbinebearing> * 2, [[<bigreactors:turbinehousing>, <bigreactors:turbinerotorshaft>, <bigreactors:turbinehousing>], [<mekanismgenerators:generator:8>, <mekanismgenerators:generator:8>, <mekanismgenerators:generator:8>], [<bigreactors:turbinehousing>, <bigreactors:turbinerotorshaft>, <bigreactors:turbinehousing>]]);


					#OP Blocks - These Recipes will change later

#Ludicrite Ingot 
recipes.remove(<bigreactors:ingotludicrite>);
mods.ItemStages.addItemStage("Dragon", <bigreactors:ingotludicrite>);




//mods.astralsorcery.Altar.addTraitAltarRecipe(string recipeLocation, IItemStack output, int starlight, int craftTickTime, IIngredient[] inputs, @optional String iRequiredConstellationFocusName);

val Kelinstar = <projecte:item.pe_klein_star:5>;
val Cobb = <extrautils2:compressedcobblestone:7>;
val Alch = <thaumcraft:metal_alchemical_advanced>;
val Manyu = <ore:blockManyullyn>;
val Unstable = <ore:ingotUnstable>;
val Enderium = <ore:blockEnderium>;
val Plut = <ic2c_extras:plutoniumrtg>;
val heart = <bewitchment:demon_heart>;
val Thor = <ic2c_extras:thorium232ingot>;

mods.astralsorcery.Altar.addTraitAltarRecipe("mypackname:shaped/internal/altar/Ludicrite", <bigreactors:ingotludicrite> * 3, 6000, 200, [
	Kelinstar, Alch, heart, 
	Unstable, Cobb, Unstable, 
	heart, Alch, Kelinstar,
	Enderium, Manyu, Manyu, Enderium, 
	Plut, Plut, Thor, Thor, 
	Thor, Thor, Plut, Plut, 
	Kelinstar, Kelinstar, Kelinstar, Kelinstar],
"astralsorcery.constellation.evorsio");

#Ludicrite Block
recipes.remove(<bigreactors:blockludicrite>);
mods.recipestages.Recipes.addShaped("ER_blockludicrite", "Dragon", <bigreactors:blockludicrite>, [[<bigreactors:ingotludicrite>, <bigreactors:ingotludicrite>, <bigreactors:ingotludicrite>], [<bigreactors:ingotludicrite>, <bigreactors:ingotludicrite>, <bigreactors:ingotludicrite>], [<bigreactors:ingotludicrite>, <bigreactors:ingotludicrite>, <bigreactors:ingotludicrite>]]);

